com.collabnet.ce.soap60.webservices.tracker

## Class TrackerAppSoapMockStub

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.ClientSoapStub
  - - com.collabnet.ce.soap60.webservices.ClientSoapMockStub
    - - com.collabnet.ce.soap60.webservices.tracker.TrackerAppSoapMockStub

- All Implemented Interfaces:
    ITrackerAppSoap

      public class TrackerAppSoapMockStub
      extends com.collabnet.ce.soap60.webservices.ClientSoapMockStub
      implements ITrackerAppSoap

- - ### Field Summary

    - ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

      `DATE_WILDCARD, GUIDKEY_WILDCARD, INTEGER_WILDCARD, LONG_WILDCARD, STRING_WILDCARD`

    - ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `DEFAULT_CLIENT_TIME_OUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrackerAppSoapMockStub(String soapServerUrl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDateField(String sessionId, String trackerId, String fieldName, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String helpText)` Simulate a call to addDateField
    `void` | `addField(String sessionId, String objectId, String fieldName, com.vasoftware.sf.server.services.field.FieldDisplayType fieldType, int displayColumns, int displayRows, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] fieldValues, String[] defaultFieldValues, String helpText, String pattern)` Simulate a call to addField
    `void` | `addMultiSelectField(String sessionId, String trackerId, String fieldName, int displayLines, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] fieldValues, String[] defaultValues, String helpText)` Simulate a call to addMultiSelectField
    `void` | `addSeparator(String sessionId, String trackerId, String separatorType, String separatorLabel)` Simulate a call to addSeparator
    `void` | `addSingleSelectChildField(String sessionId, String trackerId, String fieldName, String[] fieldValues, String parentFieldId, com.collabnet.ce.soap60.types.SoapNamedValues parentChildFieldValueMap, String helpText)` Simulate a call to addSingleSelectChildField
    `void` | `addSingleSelectField(String sessionId, String trackerId, String fieldName, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] fieldValues, String defaultValue, String helpText)` Simulate a call to addSingleSelectField
    `void` | `addTextField(String sessionId, String trackerId, String fieldName, int displayColumns, int displayLines, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String defaultValue, String helpText, String pattern)` Simulate a call to addTextField
    `void` | `addUserSelectField(String sessionId, String trackerId, String fieldName, int displayLines, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] defaultValues, String userFilter, String helpText)` Simulate a call to addUserSelectField
    `boolean` | `checkPermissionForRemoveDependency(com.vasoftware.sf.server.types.UserSessionKey sessionKey, String username, com.vasoftware.sf.server.types.ArtifactKey originKey, com.vasoftware.sf.server.types.ArtifactKey targetKey)` Simulate a call to checkPermissionForRemoveDependency
    `Tracker2SoapDO` | `cloneTracker(String sessionId, String srcTrackerId, String destTrackerTitle, String destTrackerDescription)` Simulate a call to cloneTracker
    `Tracker2SoapDO` | `cloneTrackerAcrossProject(String sessionId, String srcTrackerId, String destProjectId, String destTrackerTitle, String destTrackerDescription)` Simulate a call to cloneTrackerAcrossProject
    `void` | `copyWorkflowTransitions(String sessionId, String srcTrackerId, String dstTrackerId)` Simulate a call to copyWorkflowTransitions
    `com.vasoftware.sf.server.services.tracker.ArtifactDO` | `createArtifact(String trackerId, String title, String description, String group, String category, String status, String customer, int priority, int estimatedEffort, int remainingEffort, boolean autosumming, int points, boolean autoSummingPoints, String assignedUsername, String releaseId, String planningFolderId, String teamId, com.collabnet.ce.soap60.types.SoapFieldValues flexFields, AttachmentSoapDO[] attachments, String[] tagNames, String sessionId)` Simulate a call to createArtifact
    `ArtifactSoapDO` | `createArtifact(String sessionId, String trackerId, String title, String description, String group, String category, String status, String customer, int priority, int estimatedEffort, int remainingEffort, boolean autosumming, int points, String assignedUsername, String releaseId, String planningFolderId, com.collabnet.ce.soap60.types.SoapFieldValues flexFields, String attachmentFileName, String attachmentMimeType, String attachmentFileId)` Simulate a call to createArtifact
    `ArtifactSoapDO` | `createArtifact2(String sessionId, String trackerId, String title, String description, String group, String category, String status, String customer, int priority, int estimatedEffort, int remainingEffort, boolean autosumming, int points, String assignedUsername, String releaseId, String planningFolderId, com.collabnet.ce.soap60.types.SoapFieldValues flexFields, AttachmentSoapDO[] attachments)` Simulate a call to createArtifact2
    `Artifact2SoapDO` | `createArtifact3(String sessionId, String trackerId, String title, String description, String group, String category, String status, String customer, int priority, int estimatedEffort, int remainingEffort, boolean autosumming, int points, boolean autoSummingPoints, String assignedUsername, String releaseId, String planningFolderId, String teamId, com.collabnet.ce.soap60.types.SoapFieldValues flexFields, AttachmentSoapDO[] attachments)` Simulate a call to createArtifact3
    `Artifact3SoapDO` | `createArtifact4(String sessionId, String trackerId, String title, String description, String group, String category, String status, String customer, int priority, int estimatedEffort, int remainingEffort, boolean autosumming, int points, boolean autoSummingPoints, String assignedUsername, String releaseId, String planningFolderId, String teamId, com.collabnet.ce.soap60.types.SoapFieldValues flexFields, AttachmentSoapDO[] attachments, String[] tagNames)` Simulate a call to createArtifact4
    `void` | `createArtifactDependency(String sessionId, String originId, String targetId, String desc)` Simulate a call to createArtifactDependency
    `TrackerSoapDO` | `createTracker(String sessionId, String projectId, String trackerName, String trackerTitle, String trackerDescription, String icon)` Simulate a call to createTracker
    `com.vasoftware.sf.server.services.tracker.TrackerDO` | `createTracker(String projectId, String trackerName, String trackerTitle, String trackerDescription, String icon, String trackerUnitId, boolean autosumForeignChildren, String sessionId)` Simulate a call to createTracker
    `Tracker2SoapDO` | `createTracker2(String sessionId, String projectId, String trackerName, String trackerTitle, String trackerDescription, String icon, String trackerUnitId)` Simulate a call to createTracker2
    `Tracker3SoapDO` | `createTracker3(String sessionId, String projectId, String trackerName, String trackerTitle, String trackerDescription, String icon, String trackerUnitId, boolean autosumForeignChildren)` Simulate a call to createTracker3
    `void` | `deleteArtifact(String sessionId, String artifactId)` Simulate a call to deleteArtifact
    `void` | `deleteField(String sessionId, String objectId, String fieldId)` Simulate a call to deleteField
    `void` | `deleteSeparator(String sessionId, String trackerId, String layoutId)` Simulate a call to deleteSeparator
    `com.vasoftware.sf.server.services.tracker.ArtifactList` | `findArtifacts(String queryString, String projectId, boolean searchAttachments, String sessionId)` Simulate a call to findArtifacts
    `ArtifactSoapList` | `findArtifacts(String sessionId, String queryString, String projectId, boolean searchAttachments)` Simulate a call to findArtifacts
    `Artifact2SoapList` | `findArtifacts2(String sessionId, String queryString, String projectId, boolean searchAttachments)` Simulate a call to findArtifacts2
    `WorkflowTransitionSoapList` | `getAllowedWorkflowTransitionList(String sessionId, String trackerId)` Simulate a call to getAllowedWorkflowTransitionList
    `WorkflowTransition2SoapList` | `getAllowedWorkflowTransitionList2(String sessionId, String trackerId)` Simulate a call to getAllowedWorkflowTransitionList2
    `WorkflowTransition3SoapList` | `getAllowedWorkflowTransitionList3(String sessionId, String trackerId)` Simulate a call to getAllowedWorkflowTransitionList3
    `ArtifactSoapDO` | `getArtifactData(String sessionId, String artifactId)` Simulate a call to getArtifactData
    `Artifact2SoapDO` | `getArtifactData2(String sessionId, String artifactId)` Simulate a call to getArtifactData2
    `Artifact3SoapDO` | `getArtifactData3(String sessionId, String artifactId)` Simulate a call to getArtifactData3
    `com.vasoftware.sf.server.services.tracker.ArtifactDetailArrangedList` | `getArtifactDetailArrangedList(int startIndex, int maxRows, com.vasoftware.sf.server.services.tracker.ArtifactDetailArrangedList artifactDetailArrangedList)` Simulate a call to getArtifactDetailArrangedList
    `com.vasoftware.sf.server.services.tracker.ArtifactDetailArrangedList` | `getArtifactDetailList(String trackerId, String[] selectedColumns, com.collabnet.ce.soap60.types.SoapFilter[] filters, com.collabnet.ce.soap60.types.SoapSortKey[] sortKeys, int startIndex, int maxRows, boolean exceptionIfExpiredCache, boolean forceNewQuery, String sessionId)` Simulate a call to getArtifactDetailList
    `ArtifactDetailSoapList` | `getArtifactDetailList(String sessionId, String trackerId, String[] selectedColumns, com.collabnet.ce.soap60.types.SoapFilter[] filters, com.collabnet.ce.soap60.types.SoapSortKey[] sortKeys, int startIndex, int maxRows, boolean exceptionIfExpiredCache, boolean forceNewQuery)` Simulate a call to getArtifactDetailList
    `ArtifactDetail2SoapList` | `getArtifactDetailList2(String sessionId, String trackerId, String[] selectedColumns, com.collabnet.ce.soap60.types.SoapFilter[] filters, com.collabnet.ce.soap60.types.SoapSortKey[] sortKeys, int startIndex, int maxRows, boolean exceptionIfExpiredCache, boolean forceNewQuery)` Simulate a call to getArtifactDetailList2
    `com.collabnet.ce.soap60.webservices.tracker.SortableArtifactDetailArrangedList` | `getArtifactDetailsQueryResults(Set selectedColumns, com.collabnet.ce.soap60.types.SoapSortKey[] sortKeys, int maxRows, boolean exceptionIfExpiredCache, boolean forceNewQuery, String trackerId, String sessionId, com.collabnet.ce.soap60.types.SoapFilter[] filters, String loggedInUser)` Simulate a call to getArtifactDetailsQueryResults
    `com.vasoftware.sf.server.services.tracker.ArtifactList` | `getArtifactList(String containerId, com.collabnet.ce.soap60.types.SoapFilter[] filters, String sessionId)` Simulate a call to getArtifactList
    `ArtifactSoapList` | `getArtifactList(String sessionId, String containerId, com.collabnet.ce.soap60.types.SoapFilter[] filters)` Simulate a call to getArtifactList
    `Artifact2SoapList` | `getArtifactList2(String sessionId, String containerId, com.collabnet.ce.soap60.types.SoapFilter[] filters)` Simulate a call to getArtifactList2
    `ArtifactDependencySoapList` | `getChildDependencyList(String sessionId, String artifactId)` Simulate a call to getChildDependencyList
    `com.vasoftware.sf.server.services.tracker.ArtifactDetailList` | `getCrossTrackerArtifactList(String containerId, com.collabnet.ce.soap60.types.SoapFilter[] filters, String[] selectedColumns, String sessionId)` Simulate a call to getCrossTrackerArtifactList
    `ArtifactDetailSoapList` | `getCrossTrackerArtifactList(String sessionId, String containerId, com.collabnet.ce.soap60.types.SoapFilter[] filters, String[] selectedColumns)` Simulate a call to getCrossTrackerArtifactList
    `ArtifactDetail2SoapList` | `getCrossTrackerArtifactList2(String sessionId, String containerId, com.collabnet.ce.soap60.types.SoapFilter[] filters, String[] selectedColumns)` Simulate a call to getCrossTrackerArtifactList2
    `com.vasoftware.sf.server.services.field.FieldDO` | `getFieldDO(String fieldId, String fieldName, com.vasoftware.sf.server.types.FolderPath folderPath, com.vasoftware.sf.server.types.FolderKey folderKey, String loggedInUser)` Simulate a call to getFieldDO
    `TrackerFieldSoapDO[]` | `getFields(String sessionId, String trackerId)` Simulate a call to getFields
    `TrackerField2SoapDO[]` | `getFields2(String sessionId, String trackerId)` Simulate a call to getFields2
    `OrderedTrackerFieldSoapList` | `getOrderedTrackerFields(String sessionId, String trackerId)` Simulate a call to getOrderedTrackerFields
    `ArtifactDependencySoapList` | `getParentDependencyList(String sessionId, String artifactId)` Simulate a call to getParentDependencyList
    `com.vasoftware.sf.server.types.ArtifactKey` | `getParentKeyIfArtifactSeenAsAChildInPf(com.vasoftware.sf.server.types.UserSessionKey sessionKey, com.vasoftware.sf.server.services.tracker.ArtifactDO artifactDO, String planningFolderPath, String loggedInUser)` Simulate a call to getParentKeyIfArtifactSeenAsAChildInPf
    `com.vasoftware.sf.server.types.RoleKey[]` | `getRoleKeys(String loggedInUser, com.vasoftware.sf.server.types.ProjectPath prjPath)` Simulate a call to getRoleKeys
    `Tracker2SoapDO` | `getTracker2Data(String sessionId, String trackerId)` Simulate a call to getTracker2Data
    `Tracker2SoapList` | `getTracker2List(String sessionId, String projectId)` Simulate a call to getTracker2List
    `Tracker2SoapList` | `getTracker2SoapList(List trackerList)` Simulate a call to getTracker2SoapList
    `Tracker3SoapDO` | `getTracker3Data(String sessionId, String trackerId)` Simulate a call to getTracker3Data
    `Tracker3SoapList` | `getTracker3List(String sessionId, String projectId)` Simulate a call to getTracker3List
    `Tracker3SoapList` | `getTracker3SoapList(List trackerList)` Simulate a call to getTracker3SoapList
    `TrackerSoapDO` | `getTrackerData(String sessionId, String trackerId)` Simulate a call to getTrackerData
    `com.vasoftware.sf.server.services.tracker.TrackerDO` | `getTrackerDO(String sessionId, String trackerId)` Simulate a call to getTrackerDO
    `TrackerSoapList` | `getTrackerList(String sessionId, String projectId)` Simulate a call to getTrackerList
    `TrackerSoapList` | `getTrackerSoapList(List trackerList)` Simulate a call to getTrackerSoapList
    `List` | `getTransactionDataList(String loggedInUser, String trackerId, Map possibleReqFieldIdToNameMap, Map fieldValueMap)` Simulate a call to getTransactionDataList
    `TrackerUnitSoapList` | `getUnitsByProject(String sessionId, String projectId)` Simulate a call to getUnitsByProject
    `List` | `listTrackers(String sessionId, String projectId)` Simulate a call to listTrackers
    `ArtifactSoapDO` | `moveArtifact(String sessionId, String artifactId, String targetFolderId, String newAssignee)` Simulate a call to moveArtifact
    `Artifact2SoapDO` | `moveArtifact2(String sessionId, String artifactId, String targetFolderId, String newAssignee)` Simulate a call to moveArtifact2
    `com.vasoftware.sf.server.services.tracker.ArtifactDO` | `moveArtifactData(String artifactId, String targetFolderId, String newAssignee, String sessionId)` Simulate a call to moveArtifactData
    `void` | `prepareAddDateField(String sessionId, String trackerId, String fieldName, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String helpText)` Prepare a simulated response to addDateField
    `void` | `prepareAddDateField(String sessionId, String trackerId, String fieldName, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String helpText, Exception exception)` Prepare a simulated response to addDateField
    `void` | `prepareAddField(String sessionId, String objectId, String fieldName, com.vasoftware.sf.server.services.field.FieldDisplayType fieldType, int displayColumns, int displayRows, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] fieldValues, String[] defaultFieldValues, String helpText, String pattern)` Prepare a simulated response to addField
    `void` | `prepareAddField(String sessionId, String objectId, String fieldName, com.vasoftware.sf.server.services.field.FieldDisplayType fieldType, int displayColumns, int displayRows, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] fieldValues, String[] defaultFieldValues, String helpText, String pattern, Exception exception)` Prepare a simulated response to addField
    `void` | `prepareAddMultiSelectField(String sessionId, String trackerId, String fieldName, int displayLines, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] fieldValues, String[] defaultValues, String helpText)` Prepare a simulated response to addMultiSelectField
    `void` | `prepareAddMultiSelectField(String sessionId, String trackerId, String fieldName, int displayLines, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] fieldValues, String[] defaultValues, String helpText, Exception exception)` Prepare a simulated response to addMultiSelectField
    `void` | `prepareAddSeparator(String sessionId, String trackerId, String separatorType, String separatorLabel)` Prepare a simulated response to addSeparator
    `void` | `prepareAddSeparator(String sessionId, String trackerId, String separatorType, String separatorLabel, Exception exception)` Prepare a simulated response to addSeparator
    `void` | `prepareAddSingleSelectChildField(String sessionId, String trackerId, String fieldName, String[] fieldValues, String parentFieldId, com.collabnet.ce.soap60.types.SoapNamedValues parentChildFieldValueMap, String helpText)` Prepare a simulated response to addSingleSelectChildField
    `void` | `prepareAddSingleSelectChildField(String sessionId, String trackerId, String fieldName, String[] fieldValues, String parentFieldId, com.collabnet.ce.soap60.types.SoapNamedValues parentChildFieldValueMap, String helpText, Exception exception)` Prepare a simulated response to addSingleSelectChildField
    `void` | `prepareAddSingleSelectField(String sessionId, String trackerId, String fieldName, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] fieldValues, String defaultValue, String helpText)` Prepare a simulated response to addSingleSelectField
    `void` | `prepareAddSingleSelectField(String sessionId, String trackerId, String fieldName, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] fieldValues, String defaultValue, String helpText, Exception exception)` Prepare a simulated response to addSingleSelectField
    `void` | `prepareAddTextField(String sessionId, String trackerId, String fieldName, int displayColumns, int displayLines, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String defaultValue, String helpText, String pattern)` Prepare a simulated response to addTextField
    `void` | `prepareAddTextField(String sessionId, String trackerId, String fieldName, int displayColumns, int displayLines, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String defaultValue, String helpText, String pattern, Exception exception)` Prepare a simulated response to addTextField
    `void` | `prepareAddUserSelectField(String sessionId, String trackerId, String fieldName, int displayLines, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] defaultValues, String userFilter, String helpText)` Prepare a simulated response to addUserSelectField
    `void` | `prepareAddUserSelectField(String sessionId, String trackerId, String fieldName, int displayLines, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] defaultValues, String userFilter, String helpText, Exception exception)` Prepare a simulated response to addUserSelectField
    `void` | `prepareCheckPermissionForRemoveDependency(com.vasoftware.sf.server.types.UserSessionKey sessionKey, String username, com.vasoftware.sf.server.types.ArtifactKey originKey, com.vasoftware.sf.server.types.ArtifactKey targetKey, Object returnValue)` Prepare a simulated response to checkPermissionForRemoveDependency
    `void` | `prepareCloneTracker(String sessionId, String srcTrackerId, String destTrackerTitle, String destTrackerDescription, Object returnValue)` Prepare a simulated response to cloneTracker
    `void` | `prepareCloneTrackerAcrossProject(String sessionId, String srcTrackerId, String destProjectId, String destTrackerTitle, String destTrackerDescription, Object returnValue)` Prepare a simulated response to cloneTrackerAcrossProject
    `void` | `prepareCopyWorkflowTransitions(String sessionId, String srcTrackerId, String dstTrackerId)` Prepare a simulated response to copyWorkflowTransitions
    `void` | `prepareCopyWorkflowTransitions(String sessionId, String srcTrackerId, String dstTrackerId, Exception exception)` Prepare a simulated response to copyWorkflowTransitions
    `void` | `prepareCreateArtifact(String trackerId, String title, String description, String group, String category, String status, String customer, int priority, int estimatedEffort, int remainingEffort, boolean autosumming, int points, boolean autoSummingPoints, String assignedUsername, String releaseId, String planningFolderId, String teamId, com.collabnet.ce.soap60.types.SoapFieldValues flexFields, AttachmentSoapDO[] attachments, String[] tagNames, String sessionId, Object returnValue)` Prepare a simulated response to createArtifact
    `void` | `prepareCreateArtifact(String sessionId, String trackerId, String title, String description, String group, String category, String status, String customer, int priority, int estimatedEffort, int remainingEffort, boolean autosumming, int points, String assignedUsername, String releaseId, String planningFolderId, com.collabnet.ce.soap60.types.SoapFieldValues flexFields, String attachmentFileName, String attachmentMimeType, String attachmentFileId, Object returnValue)` Prepare a simulated response to createArtifact
    `void` | `prepareCreateArtifact2(String sessionId, String trackerId, String title, String description, String group, String category, String status, String customer, int priority, int estimatedEffort, int remainingEffort, boolean autosumming, int points, String assignedUsername, String releaseId, String planningFolderId, com.collabnet.ce.soap60.types.SoapFieldValues flexFields, AttachmentSoapDO[] attachments, Object returnValue)` Prepare a simulated response to createArtifact2
    `void` | `prepareCreateArtifact3(String sessionId, String trackerId, String title, String description, String group, String category, String status, String customer, int priority, int estimatedEffort, int remainingEffort, boolean autosumming, int points, boolean autoSummingPoints, String assignedUsername, String releaseId, String planningFolderId, String teamId, com.collabnet.ce.soap60.types.SoapFieldValues flexFields, AttachmentSoapDO[] attachments, Object returnValue)` Prepare a simulated response to createArtifact3
    `void` | `prepareCreateArtifact4(String sessionId, String trackerId, String title, String description, String group, String category, String status, String customer, int priority, int estimatedEffort, int remainingEffort, boolean autosumming, int points, boolean autoSummingPoints, String assignedUsername, String releaseId, String planningFolderId, String teamId, com.collabnet.ce.soap60.types.SoapFieldValues flexFields, AttachmentSoapDO[] attachments, String[] tagNames, Object returnValue)` Prepare a simulated response to createArtifact4
    `void` | `prepareCreateArtifactDependency(String sessionId, String originId, String targetId, String desc)` Prepare a simulated response to createArtifactDependency
    `void` | `prepareCreateArtifactDependency(String sessionId, String originId, String targetId, String desc, Exception exception)` Prepare a simulated response to createArtifactDependency
    `void` | `prepareCreateTracker(String projectId, String trackerName, String trackerTitle, String trackerDescription, String icon, String trackerUnitId, boolean autosumForeignChildren, String sessionId, Object returnValue)` Prepare a simulated response to createTracker
    `void` | `prepareCreateTracker(String sessionId, String projectId, String trackerName, String trackerTitle, String trackerDescription, String icon, Object returnValue)` Prepare a simulated response to createTracker
    `void` | `prepareCreateTracker2(String sessionId, String projectId, String trackerName, String trackerTitle, String trackerDescription, String icon, String trackerUnitId, Object returnValue)` Prepare a simulated response to createTracker2
    `void` | `prepareCreateTracker3(String sessionId, String projectId, String trackerName, String trackerTitle, String trackerDescription, String icon, String trackerUnitId, boolean autosumForeignChildren, Object returnValue)` Prepare a simulated response to createTracker3
    `void` | `prepareDeleteArtifact(String sessionId, String artifactId)` Prepare a simulated response to deleteArtifact
    `void` | `prepareDeleteArtifact(String sessionId, String artifactId, Exception exception)` Prepare a simulated response to deleteArtifact
    `void` | `prepareDeleteField(String sessionId, String objectId, String fieldId)` Prepare a simulated response to deleteField
    `void` | `prepareDeleteField(String sessionId, String objectId, String fieldId, Exception exception)` Prepare a simulated response to deleteField
    `void` | `prepareDeleteSeparator(String sessionId, String trackerId, String layoutId)` Prepare a simulated response to deleteSeparator
    `void` | `prepareDeleteSeparator(String sessionId, String trackerId, String layoutId, Exception exception)` Prepare a simulated response to deleteSeparator
    `void` | `prepareFindArtifacts(String queryString, String projectId, boolean searchAttachments, String sessionId, Object returnValue)` Prepare a simulated response to findArtifacts
    `void` | `prepareFindArtifacts(String sessionId, String queryString, String projectId, boolean searchAttachments, Object returnValue)` Prepare a simulated response to findArtifacts
    `void` | `prepareFindArtifacts2(String sessionId, String queryString, String projectId, boolean searchAttachments, Object returnValue)` Prepare a simulated response to findArtifacts2
    `void` | `prepareGetAllowedWorkflowTransitionList(String sessionId, String trackerId, Object returnValue)` Prepare a simulated response to getAllowedWorkflowTransitionList
    `void` | `prepareGetAllowedWorkflowTransitionList2(String sessionId, String trackerId, Object returnValue)` Prepare a simulated response to getAllowedWorkflowTransitionList2
    `void` | `prepareGetAllowedWorkflowTransitionList3(String sessionId, String trackerId, Object returnValue)` Prepare a simulated response to getAllowedWorkflowTransitionList3
    `void` | `prepareGetArtifactData(String sessionId, String artifactId, Object returnValue)` Prepare a simulated response to getArtifactData
    `void` | `prepareGetArtifactData2(String sessionId, String artifactId, Object returnValue)` Prepare a simulated response to getArtifactData2
    `void` | `prepareGetArtifactData3(String sessionId, String artifactId, Object returnValue)` Prepare a simulated response to getArtifactData3
    `void` | `prepareGetArtifactDetailArrangedList(int startIndex, int maxRows, com.vasoftware.sf.server.services.tracker.ArtifactDetailArrangedList artifactDetailArrangedList, Object returnValue)` Prepare a simulated response to getArtifactDetailArrangedList
    `void` | `prepareGetArtifactDetailList(String trackerId, String[] selectedColumns, com.collabnet.ce.soap60.types.SoapFilter[] filters, com.collabnet.ce.soap60.types.SoapSortKey[] sortKeys, int startIndex, int maxRows, boolean exceptionIfExpiredCache, boolean forceNewQuery, String sessionId, Object returnValue)` Prepare a simulated response to getArtifactDetailList
    `void` | `prepareGetArtifactDetailList(String sessionId, String trackerId, String[] selectedColumns, com.collabnet.ce.soap60.types.SoapFilter[] filters, com.collabnet.ce.soap60.types.SoapSortKey[] sortKeys, int startIndex, int maxRows, boolean exceptionIfExpiredCache, boolean forceNewQuery, Object returnValue)` Prepare a simulated response to getArtifactDetailList
    `void` | `prepareGetArtifactDetailList2(String sessionId, String trackerId, String[] selectedColumns, com.collabnet.ce.soap60.types.SoapFilter[] filters, com.collabnet.ce.soap60.types.SoapSortKey[] sortKeys, int startIndex, int maxRows, boolean exceptionIfExpiredCache, boolean forceNewQuery, Object returnValue)` Prepare a simulated response to getArtifactDetailList2
    `void` | `prepareGetArtifactDetailsQueryResults(Set selectedColumns, com.collabnet.ce.soap60.types.SoapSortKey[] sortKeys, int maxRows, boolean exceptionIfExpiredCache, boolean forceNewQuery, String trackerId, String sessionId, com.collabnet.ce.soap60.types.SoapFilter[] filters, String loggedInUser, Object returnValue)` Prepare a simulated response to getArtifactDetailsQueryResults
    `void` | `prepareGetArtifactList(String containerId, com.collabnet.ce.soap60.types.SoapFilter[] filters, String sessionId, Object returnValue)` Prepare a simulated response to getArtifactList
    `void` | `prepareGetArtifactList(String sessionId, String containerId, com.collabnet.ce.soap60.types.SoapFilter[] filters, Object returnValue)` Prepare a simulated response to getArtifactList
    `void` | `prepareGetArtifactList2(String sessionId, String containerId, com.collabnet.ce.soap60.types.SoapFilter[] filters, Object returnValue)` Prepare a simulated response to getArtifactList2
    `void` | `prepareGetChildDependencyList(String sessionId, String artifactId, Object returnValue)` Prepare a simulated response to getChildDependencyList
    `void` | `prepareGetCrossTrackerArtifactList(String containerId, com.collabnet.ce.soap60.types.SoapFilter[] filters, String[] selectedColumns, String sessionId, Object returnValue)` Prepare a simulated response to getCrossTrackerArtifactList
    `void` | `prepareGetCrossTrackerArtifactList(String sessionId, String containerId, com.collabnet.ce.soap60.types.SoapFilter[] filters, String[] selectedColumns, Object returnValue)` Prepare a simulated response to getCrossTrackerArtifactList
    `void` | `prepareGetCrossTrackerArtifactList2(String sessionId, String containerId, com.collabnet.ce.soap60.types.SoapFilter[] filters, String[] selectedColumns, Object returnValue)` Prepare a simulated response to getCrossTrackerArtifactList2
    `void` | `prepareGetFieldDO(String fieldId, String fieldName, com.vasoftware.sf.server.types.FolderPath folderPath, com.vasoftware.sf.server.types.FolderKey folderKey, String loggedInUser, Object returnValue)` Prepare a simulated response to getFieldDO
    `void` | `prepareGetFields(String sessionId, String trackerId, Object returnValue)` Prepare a simulated response to getFields
    `void` | `prepareGetFields2(String sessionId, String trackerId, Object returnValue)` Prepare a simulated response to getFields2
    `void` | `prepareGetOrderedTrackerFields(String sessionId, String trackerId, Object returnValue)` Prepare a simulated response to getOrderedTrackerFields
    `void` | `prepareGetParentDependencyList(String sessionId, String artifactId, Object returnValue)` Prepare a simulated response to getParentDependencyList
    `void` | `prepareGetParentKeyIfArtifactSeenAsAChildInPf(com.vasoftware.sf.server.types.UserSessionKey sessionKey, com.vasoftware.sf.server.services.tracker.ArtifactDO artifactDO, String planningFolderPath, String loggedInUser, Object returnValue)` Prepare a simulated response to getParentKeyIfArtifactSeenAsAChildInPf
    `void` | `prepareGetRoleKeys(String loggedInUser, com.vasoftware.sf.server.types.ProjectPath prjPath, Object returnValue)` Prepare a simulated response to getRoleKeys
    `void` | `prepareGetTracker2Data(String sessionId, String trackerId, Object returnValue)` Prepare a simulated response to getTracker2Data
    `void` | `prepareGetTracker2List(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to getTracker2List
    `void` | `prepareGetTracker2SoapList(List trackerList, Object returnValue)` Prepare a simulated response to getTracker2SoapList
    `void` | `prepareGetTracker3Data(String sessionId, String trackerId, Object returnValue)` Prepare a simulated response to getTracker3Data
    `void` | `prepareGetTracker3List(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to getTracker3List
    `void` | `prepareGetTracker3SoapList(List trackerList, Object returnValue)` Prepare a simulated response to getTracker3SoapList
    `void` | `prepareGetTrackerData(String sessionId, String trackerId, Object returnValue)` Prepare a simulated response to getTrackerData
    `void` | `prepareGetTrackerDO(String sessionId, String trackerId, Object returnValue)` Prepare a simulated response to getTrackerDO
    `void` | `prepareGetTrackerList(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to getTrackerList
    `void` | `prepareGetTrackerSoapList(List trackerList, Object returnValue)` Prepare a simulated response to getTrackerSoapList
    `void` | `prepareGetTransactionDataList(String loggedInUser, String trackerId, Map possibleReqFieldIdToNameMap, Map fieldValueMap, Object returnValue)` Prepare a simulated response to getTransactionDataList
    `void` | `prepareGetUnitsByProject(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to getUnitsByProject
    `void` | `prepareListTrackers(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to listTrackers
    `void` | `prepareMoveArtifact(String sessionId, String artifactId, String targetFolderId, String newAssignee, Object returnValue)` Prepare a simulated response to moveArtifact
    `void` | `prepareMoveArtifact2(String sessionId, String artifactId, String targetFolderId, String newAssignee, Object returnValue)` Prepare a simulated response to moveArtifact2
    `void` | `prepareMoveArtifactData(String artifactId, String targetFolderId, String newAssignee, String sessionId, Object returnValue)` Prepare a simulated response to moveArtifactData
    `void` | `prepareRemoveArtifactDependency(String sessionId, String originId, String targetId)` Prepare a simulated response to removeArtifactDependency
    `void` | `prepareRemoveArtifactDependency(String sessionId, String originId, String targetId, Exception exception)` Prepare a simulated response to removeArtifactDependency
    `void` | `prepareReorderTrackerFields(String sessionId, String trackerId, String[] layoutIds)` Prepare a simulated response to reorderTrackerFields
    `void` | `prepareReorderTrackerFields(String sessionId, String trackerId, String[] layoutIds, Exception exception)` Prepare a simulated response to reorderTrackerFields
    `void` | `prepareReorderTrackers(String sessionId, String[] trackerIds)` Prepare a simulated response to reorderTrackers
    `void` | `prepareReorderTrackers(String sessionId, String[] trackerIds, Exception exception)` Prepare a simulated response to reorderTrackers
    `void` | `prepareSetArtifactData(String sessionId, ArtifactSoapDO artifactData, String comment, String attachmentFileName, String attachmentMimeType, String attachmentFileId)` Prepare a simulated response to setArtifactData
    `void` | `prepareSetArtifactData(String sessionId, ArtifactSoapDO artifactData, String comment, String attachmentFileName, String attachmentMimeType, String attachmentFileId, Exception exception)` Prepare a simulated response to setArtifactData
    `void` | `prepareSetArtifactData2(String sessionId, ArtifactSoapDO artifactData, String comment, AttachmentSoapDO[] attachments)` Prepare a simulated response to setArtifactData2
    `void` | `prepareSetArtifactData2(String sessionId, ArtifactSoapDO artifactData, String comment, AttachmentSoapDO[] attachments, Exception exception)` Prepare a simulated response to setArtifactData2
    `void` | `prepareSetArtifactData3(String sessionId, Artifact2SoapDO artifactData, String comment, AttachmentSoapDO[] attachments)` Prepare a simulated response to setArtifactData3
    `void` | `prepareSetArtifactData3(String sessionId, Artifact2SoapDO artifactData, String comment, AttachmentSoapDO[] attachments, Exception exception)` Prepare a simulated response to setArtifactData3
    `void` | `prepareSetArtifactData4(String sessionId, Artifact3SoapDO artifactData, String comment, AttachmentSoapDO[] attachments)` Prepare a simulated response to setArtifactData4
    `void` | `prepareSetArtifactData4(String sessionId, Artifact3SoapDO artifactData, String comment, AttachmentSoapDO[] attachments, Exception exception)` Prepare a simulated response to setArtifactData4
    `void` | `prepareSetArtifactRank(String sessionId, String planningFolderId, String artfToRankId, String artfBeforeId, String artfAfterId)` Prepare a simulated response to setArtifactRank
    `void` | `prepareSetArtifactRank(String sessionId, String planningFolderId, String artfToRankId, String artfBeforeId, String artfAfterId, Exception exception)` Prepare a simulated response to setArtifactRank
    `void` | `prepareSetField(String sessionId, String objectId, TrackerFieldSoapDO fieldData)` Prepare a simulated response to setField
    `void` | `prepareSetField(String sessionId, String objectId, TrackerFieldSoapDO fieldData, Exception exception)` Prepare a simulated response to setField
    `void` | `prepareSetField2(String sessionId, String objectId, TrackerField2SoapDO fieldData)` Prepare a simulated response to setField2
    `void` | `prepareSetField2(String sessionId, String objectId, TrackerField2SoapDO fieldData, Exception exception)` Prepare a simulated response to setField2
    `void` | `prepareSetTracker2Data(String sessionId, Tracker2SoapDO trackerData)` Prepare a simulated response to setTracker2Data
    `void` | `prepareSetTracker2Data(String sessionId, Tracker2SoapDO trackerData, Exception exception)` Prepare a simulated response to setTracker2Data
    `void` | `prepareSetTracker3Data(String sessionId, Tracker3SoapDO trackerData)` Prepare a simulated response to setTracker3Data
    `void` | `prepareSetTracker3Data(String sessionId, Tracker3SoapDO trackerData, Exception exception)` Prepare a simulated response to setTracker3Data
    `void` | `prepareSetTrackerData(String sessionId, com.vasoftware.sf.server.services.tracker.TrackerDO trackerDO)` Prepare a simulated response to setTrackerData
    `void` | `prepareSetTrackerData(String sessionId, com.vasoftware.sf.server.services.tracker.TrackerDO trackerDO, Exception exception)` Prepare a simulated response to setTrackerData
    `void` | `prepareSetTrackerData(String sessionId, TrackerSoapDO trackerData)` Prepare a simulated response to setTrackerData
    `void` | `prepareSetTrackerData(String sessionId, TrackerSoapDO trackerData, Exception exception)` Prepare a simulated response to setTrackerData
    `void` | `prepareValidateMove(com.vasoftware.sf.server.types.UserSessionKey sessionKey, com.vasoftware.sf.server.types.ArtifactKey artfToRankId, com.vasoftware.sf.server.types.ArtifactKey artfBeforeId, com.vasoftware.sf.server.types.ArtifactKey artfAfterId, String planningFolderPath, String loggedInUser, Object returnValue)` Prepare a simulated response to validateMove
    `void` | `prepareValidateSelectedColumns(Collection selectedColumns, com.collabnet.ce.soap60.types.SoapSortKey[] sortKeys)` Prepare a simulated response to validateSelectedColumns
    `void` | `prepareValidateSelectedColumns(Collection selectedColumns, com.collabnet.ce.soap60.types.SoapSortKey[] sortKeys, Exception exception)` Prepare a simulated response to validateSelectedColumns
    `void` | `prepareVerifyAndGetFields(String trackerId, String loggedInUser, Object returnValue)` Prepare a simulated response to verifyAndGetFields
    `void` | `removeArtifactDependency(String sessionId, String originId, String targetId)` Simulate a call to removeArtifactDependency
    `void` | `reorderTrackerFields(String sessionId, String trackerId, String[] layoutIds)` Simulate a call to reorderTrackerFields
    `void` | `reorderTrackers(String sessionId, String[] trackerIds)` Simulate a call to reorderTrackers
    `void` | `setArtifactData(String sessionId, ArtifactSoapDO artifactData, String comment, String attachmentFileName, String attachmentMimeType, String attachmentFileId)` Simulate a call to setArtifactData
    `void` | `setArtifactData2(String sessionId, ArtifactSoapDO artifactData, String comment, AttachmentSoapDO[] attachments)` Simulate a call to setArtifactData2
    `void` | `setArtifactData3(String sessionId, Artifact2SoapDO artifactData, String comment, AttachmentSoapDO[] attachments)` Simulate a call to setArtifactData3
    `void` | `setArtifactData4(String sessionId, Artifact3SoapDO artifactData, String comment, AttachmentSoapDO[] attachments)` Simulate a call to setArtifactData4
    `void` | `setArtifactRank(String sessionId, String planningFolderId, String artfToRankId, String artfBeforeId, String artfAfterId)` Simulate a call to setArtifactRank
    `void` | `setField(String sessionId, String objectId, TrackerFieldSoapDO fieldData)` Simulate a call to setField
    `void` | `setField2(String sessionId, String objectId, TrackerField2SoapDO fieldData)` Simulate a call to setField2
    `void` | `setTracker2Data(String sessionId, Tracker2SoapDO trackerData)` Simulate a call to setTracker2Data
    `void` | `setTracker3Data(String sessionId, Tracker3SoapDO trackerData)` Simulate a call to setTracker3Data
    `void` | `setTrackerData(String sessionId, com.vasoftware.sf.server.services.tracker.TrackerDO trackerDO)` Simulate a call to setTrackerData
    `void` | `setTrackerData(String sessionId, TrackerSoapDO trackerData)` Simulate a call to setTrackerData
    `boolean` | `validateMove(com.vasoftware.sf.server.types.UserSessionKey sessionKey, com.vasoftware.sf.server.types.ArtifactKey artfToRankId, com.vasoftware.sf.server.types.ArtifactKey artfBeforeId, com.vasoftware.sf.server.types.ArtifactKey artfAfterId, String planningFolderPath, String loggedInUser)` Simulate a call to validateMove
    `void` | `validateSelectedColumns(Collection selectedColumns, com.collabnet.ce.soap60.types.SoapSortKey[] sortKeys)` Simulate a call to validateSelectedColumns
    `com.vasoftware.sf.server.services.field.FieldDO[]` | `verifyAndGetFields(String trackerId, String loggedInUser)` Simulate a call to verifyAndGetFields

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

      `addSimulatedResult, addSimulatedResult, addSimulatedResult, getCallCount, getCallParameters, getUnusedCalls, simulateCall`

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `getServiceCall, getSoapServer, getTimeout, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrackerAppSoapMockStub

          public TrackerAppSoapMockStub(String soapServerUrl)

  - ### Method Detail

    - #### prepareGetTrackerList

          public void prepareGetTrackerList(String sessionId,
                                            String projectId,
                                            Object returnValue)

      Prepare a simulated response to getTrackerList
      See Also:
        `TrackerAppSoap.getTrackerList(java.lang.String, java.lang.String)`

    - #### getTrackerList

          public TrackerSoapList getTrackerList(String sessionId,
                                                String projectId)
                                         throws RemoteException

      Simulate a call to getTrackerList
      Specified by:
        `getTrackerList` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - Project id.
      Returns:
        List of trackers within the project.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.getTrackerList(java.lang.String, java.lang.String)`

    - #### prepareGetTracker2List

          public void prepareGetTracker2List(String sessionId,
                                             String projectId,
                                             Object returnValue)

      Prepare a simulated response to getTracker2List
      See Also:
        `TrackerAppSoap.getTracker2List(java.lang.String, java.lang.String)`

    - #### getTracker2List

          public Tracker2SoapList getTracker2List(String sessionId,
                                                  String projectId)
                                           throws RemoteException

      Simulate a call to getTracker2List
      Specified by:
        `getTracker2List` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - Project id.
      Returns:
        List of trackers within the project.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.getTracker2List(java.lang.String, java.lang.String)`

    - #### prepareGetTracker3List

          public void prepareGetTracker3List(String sessionId,
                                             String projectId,
                                             Object returnValue)

      Prepare a simulated response to getTracker3List
      See Also:
        `TrackerAppSoap.getTracker3List(java.lang.String, java.lang.String)`

    - #### getTracker3List

          public Tracker3SoapList getTracker3List(String sessionId,
                                                  String projectId)
                                           throws RemoteException

      Simulate a call to getTracker3List
      Specified by:
        `getTracker3List` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - Project id.
      Returns:
        List of trackers within the project.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.getTracker3List(java.lang.String, java.lang.String)`

    - #### prepareListTrackers

          public void prepareListTrackers(String sessionId,
                                          String projectId,
                                          Object returnValue)

      Prepare a simulated response to listTrackers
      See Also:
        `TrackerAppSoap.listTrackers(java.lang.String, java.lang.String)`

    - #### listTrackers

          public List listTrackers(String sessionId,
                                   String projectId)
                            throws RemoteException

      Simulate a call to listTrackers
      Throws:
        `RemoteException`
      See Also:
        `TrackerAppSoap.listTrackers(java.lang.String, java.lang.String)`

    - #### prepareGetTrackerSoapList

          public void prepareGetTrackerSoapList(List trackerList,
                                                Object returnValue)

      Prepare a simulated response to getTrackerSoapList
      See Also:
        `TrackerAppSoap.getTrackerSoapList(java.util.List<com.collabnet.ctf.dataobject.tracker.TrackerData>)`

    - #### getTrackerSoapList

          public TrackerSoapList getTrackerSoapList(List trackerList)
                                             throws RemoteException

      Simulate a call to getTrackerSoapList
      Throws:
        `RemoteException`
      See Also:
        `TrackerAppSoap.getTrackerSoapList(java.util.List<com.collabnet.ctf.dataobject.tracker.TrackerData>)`

    - #### prepareGetTracker2SoapList

          public void prepareGetTracker2SoapList(List trackerList,
                                                 Object returnValue)

      Prepare a simulated response to getTracker2SoapList
      See Also:
        `TrackerAppSoap.getTracker2SoapList(java.util.List<com.collabnet.ctf.dataobject.tracker.TrackerData>)`

    - #### getTracker2SoapList

          public Tracker2SoapList getTracker2SoapList(List trackerList)
                                               throws RemoteException

      Simulate a call to getTracker2SoapList
      Throws:
        `RemoteException`
      See Also:
        `TrackerAppSoap.getTracker2SoapList(java.util.List<com.collabnet.ctf.dataobject.tracker.TrackerData>)`

    - #### prepareGetTracker3SoapList

          public void prepareGetTracker3SoapList(List trackerList,
                                                 Object returnValue)

      Prepare a simulated response to getTracker3SoapList
      See Also:
        `TrackerAppSoap.getTracker3SoapList(java.util.List<com.collabnet.ctf.dataobject.tracker.TrackerData>)`

    - #### getTracker3SoapList

          public Tracker3SoapList getTracker3SoapList(List trackerList)
                                               throws RemoteException

      Simulate a call to getTracker3SoapList
      Throws:
        `RemoteException`
      See Also:
        `TrackerAppSoap.getTracker3SoapList(java.util.List<com.collabnet.ctf.dataobject.tracker.TrackerData>)`

    - #### prepareGetTrackerData

          public void prepareGetTrackerData(String sessionId,
                                            String trackerId,
                                            Object returnValue)

      Prepare a simulated response to getTrackerData
      See Also:
        `TrackerAppSoap.getTrackerData(java.lang.String, java.lang.String)`

    - #### getTrackerData

          public TrackerSoapDO getTrackerData(String sessionId,
                                              String trackerId)
                                       throws RemoteException

      Simulate a call to getTrackerData
      Specified by:
        `getTrackerData` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerId` - Tracker id.
      Returns:
        Detailed data on the tracker.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.getTrackerData(java.lang.String, java.lang.String)`

    - #### prepareGetTracker2Data

          public void prepareGetTracker2Data(String sessionId,
                                             String trackerId,
                                             Object returnValue)

      Prepare a simulated response to getTracker2Data
      See Also:
        `TrackerAppSoap.getTracker2Data(java.lang.String, java.lang.String)`

    - #### getTracker2Data

          public Tracker2SoapDO getTracker2Data(String sessionId,
                                                String trackerId)
                                         throws RemoteException

      Simulate a call to getTracker2Data
      Specified by:
        `getTracker2Data` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerId` - Tracker id.
      Returns:
        Detailed data on the tracker.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.getTracker2Data(java.lang.String, java.lang.String)`

    - #### prepareGetTracker3Data

          public void prepareGetTracker3Data(String sessionId,
                                             String trackerId,
                                             Object returnValue)

      Prepare a simulated response to getTracker3Data
      See Also:
        `TrackerAppSoap.getTracker3Data(java.lang.String, java.lang.String)`

    - #### getTracker3Data

          public Tracker3SoapDO getTracker3Data(String sessionId,
                                                String trackerId)
                                         throws RemoteException

      Simulate a call to getTracker3Data
      Specified by:
        `getTracker3Data` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerId` - Tracker id.
      Returns:
        Detailed data on the tracker.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.getTracker3Data(java.lang.String, java.lang.String)`

    - #### prepareGetTrackerDO

          public void prepareGetTrackerDO(String sessionId,
                                          String trackerId,
                                          Object returnValue)

      Prepare a simulated response to getTrackerDO
      See Also:
        `TrackerAppSoap.getTrackerDO(java.lang.String, java.lang.String)`

    - #### getTrackerDO

          public com.vasoftware.sf.server.services.tracker.TrackerDO getTrackerDO(String sessionId,
                                                                                  String trackerId)
                                                                           throws RemoteException

      Simulate a call to getTrackerDO
      Throws:
        `RemoteException`
      See Also:
        `TrackerAppSoap.getTrackerDO(java.lang.String, java.lang.String)`

    - #### prepareSetTrackerData

          public void prepareSetTrackerData(String sessionId,
                                            TrackerSoapDO trackerData)

      Prepare a simulated response to setTrackerData
      See Also:
        `TrackerAppSoap.setTrackerData(java.lang.String, com.collabnet.ce.soap60.webservices.tracker.TrackerSoapDO)`

    - #### prepareSetTrackerData

          public void prepareSetTrackerData(String sessionId,
                                            TrackerSoapDO trackerData,
                                            Exception exception)

      Prepare a simulated response to setTrackerData
      See Also:
        `TrackerAppSoap.setTrackerData(java.lang.String, com.collabnet.ce.soap60.webservices.tracker.TrackerSoapDO)`

    - #### setTrackerData

          public void setTrackerData(String sessionId,
                                     TrackerSoapDO trackerData)
                              throws RemoteException

      Simulate a call to setTrackerData
      Specified by:
        `setTrackerData` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerData` - Detailed data on the tracker to set.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid or field or icon could not be found.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when invalid data is specified.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when the object version mismatches the application server.
        `RemoteException`
      See Also:
        `TrackerAppSoap.setTrackerData(java.lang.String, com.collabnet.ce.soap60.webservices.tracker.TrackerSoapDO)`

    - #### prepareSetTracker2Data

          public void prepareSetTracker2Data(String sessionId,
                                             Tracker2SoapDO trackerData)

      Prepare a simulated response to setTracker2Data
      See Also:
        `TrackerAppSoap.setTracker2Data(java.lang.String, com.collabnet.ce.soap60.webservices.tracker.Tracker2SoapDO)`

    - #### prepareSetTracker2Data

          public void prepareSetTracker2Data(String sessionId,
                                             Tracker2SoapDO trackerData,
                                             Exception exception)

      Prepare a simulated response to setTracker2Data
      See Also:
        `TrackerAppSoap.setTracker2Data(java.lang.String, com.collabnet.ce.soap60.webservices.tracker.Tracker2SoapDO)`

    - #### setTracker2Data

          public void setTracker2Data(String sessionId,
                                      Tracker2SoapDO trackerData)
                               throws RemoteException

      Simulate a call to setTracker2Data
      Specified by:
        `setTracker2Data` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerData` - Detailed data on the tracker to set.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid or field or icon could not be found.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when invalid data is specified.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when the object version mismatches the application server.
        `RemoteException`
      See Also:
        `TrackerAppSoap.setTracker2Data(java.lang.String, com.collabnet.ce.soap60.webservices.tracker.Tracker2SoapDO)`

    - #### prepareSetTracker3Data

          public void prepareSetTracker3Data(String sessionId,
                                             Tracker3SoapDO trackerData)

      Prepare a simulated response to setTracker3Data
      See Also:
        `TrackerAppSoap.setTracker3Data(java.lang.String, com.collabnet.ce.soap60.webservices.tracker.Tracker3SoapDO)`

    - #### prepareSetTracker3Data

          public void prepareSetTracker3Data(String sessionId,
                                             Tracker3SoapDO trackerData,
                                             Exception exception)

      Prepare a simulated response to setTracker3Data
      See Also:
        `TrackerAppSoap.setTracker3Data(java.lang.String, com.collabnet.ce.soap60.webservices.tracker.Tracker3SoapDO)`

    - #### setTracker3Data

          public void setTracker3Data(String sessionId,
                                      Tracker3SoapDO trackerData)
                               throws RemoteException

      Simulate a call to setTracker3Data
      Specified by:
        `setTracker3Data` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerData` - Detailed data on the tracker to set.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid or field or icon could not be found.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when invalid data is specified.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when the object version mismatches the application server.
        `RemoteException`
      See Also:
        `TrackerAppSoap.setTracker3Data(java.lang.String, com.collabnet.ce.soap60.webservices.tracker.Tracker3SoapDO)`

    - #### prepareSetTrackerData

          public void prepareSetTrackerData(String sessionId,
                                            com.vasoftware.sf.server.services.tracker.TrackerDO trackerDO)

      Prepare a simulated response to setTrackerData
      See Also:
        `TrackerAppSoap.setTrackerData(java.lang.String, com.collabnet.ce.soap60.webservices.tracker.TrackerSoapDO)`

    - #### prepareSetTrackerData

          public void prepareSetTrackerData(String sessionId,
                                            com.vasoftware.sf.server.services.tracker.TrackerDO trackerDO,
                                            Exception exception)

      Prepare a simulated response to setTrackerData
      See Also:
        `TrackerAppSoap.setTrackerData(java.lang.String, com.collabnet.ce.soap60.webservices.tracker.TrackerSoapDO)`

    - #### setTrackerData

          public void setTrackerData(String sessionId,
                                     com.vasoftware.sf.server.services.tracker.TrackerDO trackerDO)
                              throws RemoteException

      Simulate a call to setTrackerData
      Throws:
        `RemoteException`
      See Also:
        `TrackerAppSoap.setTrackerData(java.lang.String, com.collabnet.ce.soap60.webservices.tracker.TrackerSoapDO)`

    - #### prepareCreateTracker

          public void prepareCreateTracker(String sessionId,
                                           String projectId,
                                           String trackerName,
                                           String trackerTitle,
                                           String trackerDescription,
                                           String icon,
                                           Object returnValue)

      Prepare a simulated response to createTracker
      See Also:
        `TrackerAppSoap.createTracker(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### createTracker

          public TrackerSoapDO createTracker(String sessionId,
                                             String projectId,
                                             String trackerName,
                                             String trackerTitle,
                                             String trackerDescription,
                                             String icon)
                                      throws RemoteException

      Simulate a call to createTracker
      Specified by:
        `createTracker` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - The id of the project under which to create the new tracker
        `trackerName` - The name of the new tracker
        `trackerTitle` - The title of the new tracker
        `trackerDescription` - The description of the new tracker
        `icon` - The tracker icon (null or something between "icon_01.png" and "icon_99.png")
      Returns:
        the tracker soap object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid or icon could not be found.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if an existing tracker already exists
        `RemoteException`
      See Also:
        `TrackerAppSoap.createTracker(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareCreateTracker2

          public void prepareCreateTracker2(String sessionId,
                                            String projectId,
                                            String trackerName,
                                            String trackerTitle,
                                            String trackerDescription,
                                            String icon,
                                            String trackerUnitId,
                                            Object returnValue)

      Prepare a simulated response to createTracker2
      See Also:
        `TrackerAppSoap.createTracker2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### createTracker2

          public Tracker2SoapDO createTracker2(String sessionId,
                                               String projectId,
                                               String trackerName,
                                               String trackerTitle,
                                               String trackerDescription,
                                               String icon,
                                               String trackerUnitId)
                                        throws RemoteException

      Simulate a call to createTracker2
      Specified by:
        `createTracker2` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - The id of the project under which to create the new tracker
        `trackerName` - The name of the new tracker
        `trackerTitle` - The title of the new tracker
        `trackerDescription` - The description of the new tracker
        `icon` - The tracker icon (null or something between "icon_01.png" and "icon_99.png")
        `trackerUnitId` - The tracker unit
      Returns:
        the tracker soap object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid or icon could not be found.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if an existing tracker already exists
        `RemoteException`
      See Also:
        `TrackerAppSoap.createTracker2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareCreateTracker3

          public void prepareCreateTracker3(String sessionId,
                                            String projectId,
                                            String trackerName,
                                            String trackerTitle,
                                            String trackerDescription,
                                            String icon,
                                            String trackerUnitId,
                                            boolean autosumForeignChildren,
                                            Object returnValue)

      Prepare a simulated response to createTracker3
      See Also:
        `TrackerAppSoap.createTracker3(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean)`

    - #### createTracker3

          public Tracker3SoapDO createTracker3(String sessionId,
                                               String projectId,
                                               String trackerName,
                                               String trackerTitle,
                                               String trackerDescription,
                                               String icon,
                                               String trackerUnitId,
                                               boolean autosumForeignChildren)
                                        throws RemoteException

      Simulate a call to createTracker3
      Specified by:
        `createTracker3` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - The id of the project under which to create the new tracker
        `trackerName` - The name of the new tracker
        `trackerTitle` - The title of the new tracker
        `trackerDescription` - The description of the new tracker
        `icon` - The tracker icon (null or something between "icon_01.png" and "icon_99.png")
        `trackerUnitId` - The tracker unit
        `autosumForeignChildren` - The flag indicating whether the autosum calculation of effort and points includes children from foreign projects
      Returns:
        the tracker soap object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid or icon could not be found.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if an existing tracker already exists
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the arguments are incorrectly specified
        `RemoteException`
      See Also:
        `TrackerAppSoap.createTracker3(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean)`

    - #### prepareCreateTracker

          public void prepareCreateTracker(String projectId,
                                           String trackerName,
                                           String trackerTitle,
                                           String trackerDescription,
                                           String icon,
                                           String trackerUnitId,
                                           boolean autosumForeignChildren,
                                           String sessionId,
                                           Object returnValue)

      Prepare a simulated response to createTracker
      See Also:
        `TrackerAppSoap.createTracker(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### createTracker

          public com.vasoftware.sf.server.services.tracker.TrackerDO createTracker(String projectId,
                                                                                   String trackerName,
                                                                                   String trackerTitle,
                                                                                   String trackerDescription,
                                                                                   String icon,
                                                                                   String trackerUnitId,
                                                                                   boolean autosumForeignChildren,
                                                                                   String sessionId)
                                                                            throws RemoteException

      Simulate a call to createTracker
      Throws:
        `RemoteException`
      See Also:
        `TrackerAppSoap.createTracker(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareSetField

          public void prepareSetField(String sessionId,
                                      String objectId,
                                      TrackerFieldSoapDO fieldData)

      Prepare a simulated response to setField
      See Also:
        `TrackerAppSoap.setField(java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.cemain.TrackerFieldSoapDO)`

    - #### prepareSetField

          public void prepareSetField(String sessionId,
                                      String objectId,
                                      TrackerFieldSoapDO fieldData,
                                      Exception exception)

      Prepare a simulated response to setField
      See Also:
        `TrackerAppSoap.setField(java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.cemain.TrackerFieldSoapDO)`

    - #### setField

          public void setField(String sessionId,
                               String objectId,
                               TrackerFieldSoapDO fieldData)
                        throws RemoteException

      Simulate a call to setField
      Specified by:
        `setField` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `objectId` - Object (e.g. tracker) for which to set the field information.
        `fieldData` - the custom/flex-field to associate with a specific folder
      Throws:
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id or fieldData is invalid
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - if the object has been updated since this fieldDO was fetched
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the arguments are incorrectly specified. See FaultSummary for detail for the following: - DUPLICATE_FIELD_VALUE - ILLEGAL_FIELD_VALUE - INVALID_FIELD_VALUE - INVALID_DEFAULT_VALUE - INVALID_FIELD_OPTIONS_REQUIRED_DISABLED - INVALID_FIELD_VALUE_LENGTH - REQUIRED_FIELD_MISSING - INVALID_FIELD_PATTERN
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - if the operation is not allowed. See FaultSummary for detail for the following: - INVALID_OPTION_DISABLE_RESERVED_FIELD - INVALID_OPTION_DISABLE_IN_USE_FIELD
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.DependencyViolationFault` - if changing a status violates artifact dependency
        `RemoteException`
      See Also:
        `TrackerAppSoap.setField(java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.cemain.TrackerFieldSoapDO)`

    - #### prepareSetField2

          public void prepareSetField2(String sessionId,
                                       String objectId,
                                       TrackerField2SoapDO fieldData)

      Prepare a simulated response to setField2
      See Also:
        `TrackerAppSoap.setField2(java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.tracker.TrackerField2SoapDO)`

    - #### prepareSetField2

          public void prepareSetField2(String sessionId,
                                       String objectId,
                                       TrackerField2SoapDO fieldData,
                                       Exception exception)

      Prepare a simulated response to setField2
      See Also:
        `TrackerAppSoap.setField2(java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.tracker.TrackerField2SoapDO)`

    - #### setField2

          public void setField2(String sessionId,
                                String objectId,
                                TrackerField2SoapDO fieldData)
                         throws RemoteException

      Simulate a call to setField2
      Specified by:
        `setField2` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `objectId` - Object (e.g. tracker) for which to set the field information.
        `fieldData` - the custom/flex-field to associate with a specific folder
      Throws:
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id or fieldData is invalid
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - if the object has been updated since this fieldDO was fetched
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the arguments are incorrectly specified. See FaultSummary for detail for the following: - DUPLICATE_FIELD_VALUE - ILLEGAL_FIELD_VALUE - INVALID_FIELD_VALUE - INVALID_DEFAULT_VALUE - INVALID_FIELD_OPTIONS_REQUIRED_DISABLED - INVALID_FIELD_VALUE_LENGTH - REQUIRED_FIELD_MISSING - INVALID_FIELD_PATTERN
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - if the operation is not allowed. See FaultSummary for detail for the following: - INVALID_OPTION_DISABLE_RESERVED_FIELD - INVALID_OPTION_DISABLE_IN_USE_FIELD
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.DependencyViolationFault` - if changing a status violates artifact dependency
        `RemoteException`
      See Also:
        `TrackerAppSoap.setField2(java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.tracker.TrackerField2SoapDO)`

    - #### prepareGetFieldDO

          public void prepareGetFieldDO(String fieldId,
                                        String fieldName,
                                        com.vasoftware.sf.server.types.FolderPath folderPath,
                                        com.vasoftware.sf.server.types.FolderKey folderKey,
                                        String loggedInUser,
                                        Object returnValue)

      Prepare a simulated response to getFieldDO
      See Also:
        `TrackerAppSoap.getFieldDO(java.lang.String, java.lang.String, com.vasoftware.sf.server.types.FolderPath, com.vasoftware.sf.server.types.FolderKey, java.lang.String)`

    - #### getFieldDO

          public com.vasoftware.sf.server.services.field.FieldDO getFieldDO(String fieldId,
                                                                            String fieldName,
                                                                            com.vasoftware.sf.server.types.FolderPath folderPath,
                                                                            com.vasoftware.sf.server.types.FolderKey folderKey,
                                                                            String loggedInUser)
                                                                     throws RemoteException

      Simulate a call to getFieldDO
      Throws:
        `RemoteException`
      See Also:
        `TrackerAppSoap.getFieldDO(java.lang.String, java.lang.String, com.vasoftware.sf.server.types.FolderPath, com.vasoftware.sf.server.types.FolderKey, java.lang.String)`

    - #### prepareAddTextField

          public void prepareAddTextField(String sessionId,
                                          String trackerId,
                                          String fieldName,
                                          int displayColumns,
                                          int displayLines,
                                          boolean isRequired,
                                          boolean isDisabled,
                                          boolean isHiddenOnCreate,
                                          String defaultValue,
                                          String helpText,
                                          String pattern)

      Prepare a simulated response to addTextField
      See Also:
        `TrackerAppSoap.addTextField(java.lang.String, java.lang.String, java.lang.String, int, int, boolean, boolean, boolean, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareAddTextField

          public void prepareAddTextField(String sessionId,
                                          String trackerId,
                                          String fieldName,
                                          int displayColumns,
                                          int displayLines,
                                          boolean isRequired,
                                          boolean isDisabled,
                                          boolean isHiddenOnCreate,
                                          String defaultValue,
                                          String helpText,
                                          String pattern,
                                          Exception exception)

      Prepare a simulated response to addTextField
      See Also:
        `TrackerAppSoap.addTextField(java.lang.String, java.lang.String, java.lang.String, int, int, boolean, boolean, boolean, java.lang.String, java.lang.String, java.lang.String)`

    - #### addTextField

          public void addTextField(String sessionId,
                                   String trackerId,
                                   String fieldName,
                                   int displayColumns,
                                   int displayLines,
                                   boolean isRequired,
                                   boolean isDisabled,
                                   boolean isHiddenOnCreate,
                                   String defaultValue,
                                   String helpText,
                                   String pattern)
                            throws RemoteException

      Simulate a call to addTextField
      Specified by:
        `addTextField` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerId` - The tracker to add the field to.
        `fieldName` - the name of the field
        `displayColumns` - the width of the display area
        `displayLines` - the height of the display area
        `isRequired` - if the field is required
        `isDisabled` - if the field is disabled
        `isHiddenOnCreate` - if the field is hidden when first created
        `defaultValue` - default value
        `helpText` - The help text for the field
        `pattern` - The field validation pattern
      Throws:
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id or fieldData is invalid
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - if the object has been updated since this fieldDO was fetched
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the arguments are incorrectly specified
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - if the operation is not allowed
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.addTextField(java.lang.String, java.lang.String, java.lang.String, int, int, boolean, boolean, boolean, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareAddSingleSelectChildField

          public void prepareAddSingleSelectChildField(String sessionId,
                                                       String trackerId,
                                                       String fieldName,
                                                       String[] fieldValues,
                                                       String parentFieldId,
                                                       com.collabnet.ce.soap60.types.SoapNamedValues parentChildFieldValueMap,
                                                       String helpText)

      Prepare a simulated response to addSingleSelectChildField
      See Also:
        `TrackerAppSoap.addSingleSelectChildField(java.lang.String, java.lang.String, java.lang.String, java.lang.String[], java.lang.String, com.collabnet.ce.soap60.types.SoapNamedValues, java.lang.String)`

    - #### prepareAddSingleSelectChildField

          public void prepareAddSingleSelectChildField(String sessionId,
                                                       String trackerId,
                                                       String fieldName,
                                                       String[] fieldValues,
                                                       String parentFieldId,
                                                       com.collabnet.ce.soap60.types.SoapNamedValues parentChildFieldValueMap,
                                                       String helpText,
                                                       Exception exception)

      Prepare a simulated response to addSingleSelectChildField
      See Also:
        `TrackerAppSoap.addSingleSelectChildField(java.lang.String, java.lang.String, java.lang.String, java.lang.String[], java.lang.String, com.collabnet.ce.soap60.types.SoapNamedValues, java.lang.String)`

    - #### addSingleSelectChildField

          public void addSingleSelectChildField(String sessionId,
                                                String trackerId,
                                                String fieldName,
                                                String[] fieldValues,
                                                String parentFieldId,
                                                com.collabnet.ce.soap60.types.SoapNamedValues parentChildFieldValueMap,
                                                String helpText)
                                         throws RemoteException

      Simulate a call to addSingleSelectChildField
      Specified by:
        `addSingleSelectChildField` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerId` - The tracker to add the field to.
        `fieldName` - the name of the field
        `fieldValues` - Array of valid field values
        `parentFieldId` - The id of the parent field
        `parentChildFieldValueMap` - soapNamedValues which keeps mapping between parent field values and child values
        `helpText` - the help text for the field
      Throws:
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id or fieldData is invalid
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - if the object has been updated since this fieldDO was fetched
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the arguments are incorrectly specified
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - if the operation is not allowed
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.addSingleSelectChildField(java.lang.String, java.lang.String, java.lang.String, java.lang.String[], java.lang.String, com.collabnet.ce.soap60.types.SoapNamedValues, java.lang.String)`

    - #### prepareAddSingleSelectField

          public void prepareAddSingleSelectField(String sessionId,
                                                  String trackerId,
                                                  String fieldName,
                                                  boolean isRequired,
                                                  boolean isDisabled,
                                                  boolean isHiddenOnCreate,
                                                  String[] fieldValues,
                                                  String defaultValue,
                                                  String helpText)

      Prepare a simulated response to addSingleSelectField
      See Also:
        `TrackerAppSoap.addSingleSelectField(java.lang.String, java.lang.String, java.lang.String, boolean, boolean, boolean, java.lang.String[], java.lang.String, java.lang.String)`

    - #### prepareAddSingleSelectField

          public void prepareAddSingleSelectField(String sessionId,
                                                  String trackerId,
                                                  String fieldName,
                                                  boolean isRequired,
                                                  boolean isDisabled,
                                                  boolean isHiddenOnCreate,
                                                  String[] fieldValues,
                                                  String defaultValue,
                                                  String helpText,
                                                  Exception exception)

      Prepare a simulated response to addSingleSelectField
      See Also:
        `TrackerAppSoap.addSingleSelectField(java.lang.String, java.lang.String, java.lang.String, boolean, boolean, boolean, java.lang.String[], java.lang.String, java.lang.String)`

    - #### addSingleSelectField

          public void addSingleSelectField(String sessionId,
                                           String trackerId,
                                           String fieldName,
                                           boolean isRequired,
                                           boolean isDisabled,
                                           boolean isHiddenOnCreate,
                                           String[] fieldValues,
                                           String defaultValue,
                                           String helpText)
                                    throws RemoteException

      Simulate a call to addSingleSelectField
      Specified by:
        `addSingleSelectField` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerId` - The tracker to add the field to.
        `fieldName` - the name of the field
        `isRequired` - if the field is required
        `isDisabled` - if the field is disabled
        `isHiddenOnCreate` - if the field is hidden when first created
        `fieldValues` - Array of valid field values
        `defaultValue` - default value
        `helpText` - the help text for the field
      Throws:
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id or fieldData is invalid
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - if the object has been updated since this fieldDO was fetched
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the arguments are incorrectly specified
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - if the operation is not allowed
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.addSingleSelectField(java.lang.String, java.lang.String, java.lang.String, boolean, boolean, boolean, java.lang.String[], java.lang.String, java.lang.String)`

    - #### prepareAddMultiSelectField

          public void prepareAddMultiSelectField(String sessionId,
                                                 String trackerId,
                                                 String fieldName,
                                                 int displayLines,
                                                 boolean isRequired,
                                                 boolean isDisabled,
                                                 boolean isHiddenOnCreate,
                                                 String[] fieldValues,
                                                 String[] defaultValues,
                                                 String helpText)

      Prepare a simulated response to addMultiSelectField
      See Also:
        `TrackerAppSoap.addMultiSelectField(java.lang.String, java.lang.String, java.lang.String, int, boolean, boolean, boolean, java.lang.String[], java.lang.String[], java.lang.String)`

    - #### prepareAddMultiSelectField

          public void prepareAddMultiSelectField(String sessionId,
                                                 String trackerId,
                                                 String fieldName,
                                                 int displayLines,
                                                 boolean isRequired,
                                                 boolean isDisabled,
                                                 boolean isHiddenOnCreate,
                                                 String[] fieldValues,
                                                 String[] defaultValues,
                                                 String helpText,
                                                 Exception exception)

      Prepare a simulated response to addMultiSelectField
      See Also:
        `TrackerAppSoap.addMultiSelectField(java.lang.String, java.lang.String, java.lang.String, int, boolean, boolean, boolean, java.lang.String[], java.lang.String[], java.lang.String)`

    - #### addMultiSelectField

          public void addMultiSelectField(String sessionId,
                                          String trackerId,
                                          String fieldName,
                                          int displayLines,
                                          boolean isRequired,
                                          boolean isDisabled,
                                          boolean isHiddenOnCreate,
                                          String[] fieldValues,
                                          String[] defaultValues,
                                          String helpText)
                                   throws RemoteException

      Simulate a call to addMultiSelectField
      Specified by:
        `addMultiSelectField` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerId` - The tracker to add the field to.
        `fieldName` - the name of the field
        `displayLines` - the height of the display area
        `isRequired` - if the field is required
        `isDisabled` - if the field is disabled
        `isHiddenOnCreate` - if the field is hidden when first created
        `fieldValues` - possible values
        `defaultValues` - default values
        `helpText` - the help text for the field
      Throws:
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id or fieldData is invalid
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - if the object has been updated since this fieldDO was fetched
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the arguments are incorrectly specified
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - if the operation is not allowed
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.addMultiSelectField(java.lang.String, java.lang.String, java.lang.String, int, boolean, boolean, boolean, java.lang.String[], java.lang.String[], java.lang.String)`

    - #### prepareAddUserSelectField

          public void prepareAddUserSelectField(String sessionId,
                                                String trackerId,
                                                String fieldName,
                                                int displayLines,
                                                boolean isRequired,
                                                boolean isDisabled,
                                                boolean isHiddenOnCreate,
                                                String[] defaultValues,
                                                String userFilter,
                                                String helpText)

      Prepare a simulated response to addUserSelectField
      See Also:
        `TrackerAppSoap.addUserSelectField(java.lang.String, java.lang.String, java.lang.String, int, boolean, boolean, boolean, java.lang.String[], java.lang.String, java.lang.String)`

    - #### prepareAddUserSelectField

          public void prepareAddUserSelectField(String sessionId,
                                                String trackerId,
                                                String fieldName,
                                                int displayLines,
                                                boolean isRequired,
                                                boolean isDisabled,
                                                boolean isHiddenOnCreate,
                                                String[] defaultValues,
                                                String userFilter,
                                                String helpText,
                                                Exception exception)

      Prepare a simulated response to addUserSelectField
      See Also:
        `TrackerAppSoap.addUserSelectField(java.lang.String, java.lang.String, java.lang.String, int, boolean, boolean, boolean, java.lang.String[], java.lang.String, java.lang.String)`

    - #### addUserSelectField

          public void addUserSelectField(String sessionId,
                                         String trackerId,
                                         String fieldName,
                                         int displayLines,
                                         boolean isRequired,
                                         boolean isDisabled,
                                         boolean isHiddenOnCreate,
                                         String[] defaultValues,
                                         String userFilter,
                                         String helpText)
                                  throws RemoteException

      Simulate a call to addUserSelectField
      Specified by:
        `addUserSelectField` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerId` - The tracker to add the field to.
        `fieldName` - the name of the field
        `displayLines` - the height of the display area
        `isRequired` - if the field is required
        `isDisabled` - if the field is disabled
        `isHiddenOnCreate` - if the field is hidden when first created
        `defaultValues` - default values for this field. Must be valid usernames
        `userFilter` - is the filter
        `helpText` - The help text of the field
      Throws:
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id or fieldData is invalid
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - if the object has been updated since this fieldDO was fetched
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the arguments are incorrectly specified
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - if the operation is not allowed
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.addUserSelectField(java.lang.String, java.lang.String, java.lang.String, int, boolean, boolean, boolean, java.lang.String[], java.lang.String, java.lang.String)`

    - #### prepareAddDateField

          public void prepareAddDateField(String sessionId,
                                          String trackerId,
                                          String fieldName,
                                          boolean isRequired,
                                          boolean isDisabled,
                                          boolean isHiddenOnCreate,
                                          String helpText)

      Prepare a simulated response to addDateField
      See Also:
        `TrackerAppSoap.addDateField(java.lang.String, java.lang.String, java.lang.String, boolean, boolean, boolean, java.lang.String)`

    - #### prepareAddDateField

          public void prepareAddDateField(String sessionId,
                                          String trackerId,
                                          String fieldName,
                                          boolean isRequired,
                                          boolean isDisabled,
                                          boolean isHiddenOnCreate,
                                          String helpText,
                                          Exception exception)

      Prepare a simulated response to addDateField
      See Also:
        `TrackerAppSoap.addDateField(java.lang.String, java.lang.String, java.lang.String, boolean, boolean, boolean, java.lang.String)`

    - #### addDateField

          public void addDateField(String sessionId,
                                   String trackerId,
                                   String fieldName,
                                   boolean isRequired,
                                   boolean isDisabled,
                                   boolean isHiddenOnCreate,
                                   String helpText)
                            throws RemoteException

      Simulate a call to addDateField
      Specified by:
        `addDateField` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerId` - The tracker to add the field to.
        `fieldName` - the name of the field
        `isRequired` - if the field is required
        `isDisabled` - if the field is disabled
        `isHiddenOnCreate` - if the field is hidden when first created
        `helpText` - the help text of the field
      Throws:
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id or fieldData is invalid
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - if the object has been updated since this fieldDO was fetched
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the arguments are incorrectly specified
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - if the operation is not allowed
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.addDateField(java.lang.String, java.lang.String, java.lang.String, boolean, boolean, boolean, java.lang.String)`

    - #### prepareAddField

          public void prepareAddField(String sessionId,
                                      String objectId,
                                      String fieldName,
                                      com.vasoftware.sf.server.services.field.FieldDisplayType fieldType,
                                      int displayColumns,
                                      int displayRows,
                                      boolean isRequired,
                                      boolean isDisabled,
                                      boolean isHiddenOnCreate,
                                      String[] fieldValues,
                                      String[] defaultFieldValues,
                                      String helpText,
                                      String pattern)

      Prepare a simulated response to addField
      See Also:
        `TrackerAppSoap.addField(java.lang.String, java.lang.String, java.lang.String, com.vasoftware.sf.server.services.field.FieldDisplayType, int, int, boolean, boolean, boolean, java.lang.String[], java.lang.String[], java.lang.String, java.lang.String)`

    - #### prepareAddField

          public void prepareAddField(String sessionId,
                                      String objectId,
                                      String fieldName,
                                      com.vasoftware.sf.server.services.field.FieldDisplayType fieldType,
                                      int displayColumns,
                                      int displayRows,
                                      boolean isRequired,
                                      boolean isDisabled,
                                      boolean isHiddenOnCreate,
                                      String[] fieldValues,
                                      String[] defaultFieldValues,
                                      String helpText,
                                      String pattern,
                                      Exception exception)

      Prepare a simulated response to addField
      See Also:
        `TrackerAppSoap.addField(java.lang.String, java.lang.String, java.lang.String, com.vasoftware.sf.server.services.field.FieldDisplayType, int, int, boolean, boolean, boolean, java.lang.String[], java.lang.String[], java.lang.String, java.lang.String)`

    - #### addField

          public void addField(String sessionId,
                               String objectId,
                               String fieldName,
                               com.vasoftware.sf.server.services.field.FieldDisplayType fieldType,
                               int displayColumns,
                               int displayRows,
                               boolean isRequired,
                               boolean isDisabled,
                               boolean isHiddenOnCreate,
                               String[] fieldValues,
                               String[] defaultFieldValues,
                               String helpText,
                               String pattern)
                        throws RemoteException

      Simulate a call to addField
      Throws:
        `RemoteException`
      See Also:
        `TrackerAppSoap.addField(java.lang.String, java.lang.String, java.lang.String, com.vasoftware.sf.server.services.field.FieldDisplayType, int, int, boolean, boolean, boolean, java.lang.String[], java.lang.String[], java.lang.String, java.lang.String)`

    - #### prepareDeleteField

          public void prepareDeleteField(String sessionId,
                                         String objectId,
                                         String fieldId)

      Prepare a simulated response to deleteField
      See Also:
        `TrackerAppSoap.deleteField(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareDeleteField

          public void prepareDeleteField(String sessionId,
                                         String objectId,
                                         String fieldId,
                                         Exception exception)

      Prepare a simulated response to deleteField
      See Also:
        `TrackerAppSoap.deleteField(java.lang.String, java.lang.String, java.lang.String)`

    - #### deleteField

          public void deleteField(String sessionId,
                                  String objectId,
                                  String fieldId)
                           throws RemoteException

      Simulate a call to deleteField
      Specified by:
        `deleteField` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `objectId` - Object (e.g. tracker).
        `fieldId` - the id of the field to delete
      Throws:
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id or fieldData is invalid
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - if the operation is not allowed.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.deleteField(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareGetFields

          public void prepareGetFields(String sessionId,
                                       String trackerId,
                                       Object returnValue)

      Prepare a simulated response to getFields
      See Also:
        `TrackerAppSoap.getFields(java.lang.String, java.lang.String)`

    - #### getFields

          public TrackerFieldSoapDO[] getFields(String sessionId,
                                                String trackerId)
                                         throws RemoteException

      Simulate a call to getFields
      Specified by:
        `getFields` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerId` - The tracker for which to return field information.
      Returns:
        Array of all field values.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.getFields(java.lang.String, java.lang.String)`

    - #### prepareGetFields2

          public void prepareGetFields2(String sessionId,
                                        String trackerId,
                                        Object returnValue)

      Prepare a simulated response to getFields2
      See Also:
        `TrackerAppSoap.getFields2(java.lang.String, java.lang.String)`

    - #### getFields2

          public TrackerField2SoapDO[] getFields2(String sessionId,
                                                  String trackerId)
                                           throws RemoteException

      Simulate a call to getFields2
      Specified by:
        `getFields2` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerId` - The tracker for which to return field information.
      Returns:
        Array of all field values.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.getFields2(java.lang.String, java.lang.String)`

    - #### prepareVerifyAndGetFields

          public void prepareVerifyAndGetFields(String trackerId,
                                                String loggedInUser,
                                                Object returnValue)

      Prepare a simulated response to verifyAndGetFields
      See Also:
        `TrackerAppSoap.verifyAndGetFields(java.lang.String, java.lang.String)`

    - #### verifyAndGetFields

          public com.vasoftware.sf.server.services.field.FieldDO[] verifyAndGetFields(String trackerId,
                                                                                      String loggedInUser)
                                                                               throws RemoteException

      Simulate a call to verifyAndGetFields
      Throws:
        `RemoteException`
      See Also:
        `TrackerAppSoap.verifyAndGetFields(java.lang.String, java.lang.String)`

    - #### prepareAddSeparator

          public void prepareAddSeparator(String sessionId,
                                          String trackerId,
                                          String separatorType,
                                          String separatorLabel)

      Prepare a simulated response to addSeparator
      See Also:
        `TrackerAppSoap.addSeparator(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareAddSeparator

          public void prepareAddSeparator(String sessionId,
                                          String trackerId,
                                          String separatorType,
                                          String separatorLabel,
                                          Exception exception)

      Prepare a simulated response to addSeparator
      See Also:
        `TrackerAppSoap.addSeparator(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### addSeparator

          public void addSeparator(String sessionId,
                                   String trackerId,
                                   String separatorType,
                                   String separatorLabel)
                            throws RemoteException

      Simulate a call to addSeparator
      Specified by:
        `addSeparator` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerId` - The tracker to add the separator to.
        `separatorType` - the type of the separator, either OrderedTrackerFieldSoapRow.ROW_SEPARATOR OrderedTrackerFieldSoapRow.COLUMN_SEPARATOR or OrderedTrackerFieldSoapRow .SECTION_SEPARATOR.
        `separatorLabel` - the label of the separator
      Throws:
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the arguments are incorrectly specified
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if a separator with the same id exists
        `RemoteException`
      See Also:
        `TrackerAppSoap.addSeparator(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareDeleteSeparator

          public void prepareDeleteSeparator(String sessionId,
                                             String trackerId,
                                             String layoutId)

      Prepare a simulated response to deleteSeparator
      See Also:
        `TrackerAppSoap.deleteSeparator(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareDeleteSeparator

          public void prepareDeleteSeparator(String sessionId,
                                             String trackerId,
                                             String layoutId,
                                             Exception exception)

      Prepare a simulated response to deleteSeparator
      See Also:
        `TrackerAppSoap.deleteSeparator(java.lang.String, java.lang.String, java.lang.String)`

    - #### deleteSeparator

          public void deleteSeparator(String sessionId,
                                      String trackerId,
                                      String layoutId)
                               throws RemoteException

      Simulate a call to deleteSeparator
      Specified by:
        `deleteSeparator` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerId` - The tracker to delete the separator from.
        `layoutId` - the layout id of the separator. To get the layout id, use getOrderedTrackerFields.
      Throws:
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the arguments are incorrectly specified
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - if the operation is not allowed
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.deleteSeparator(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareGetOrderedTrackerFields

          public void prepareGetOrderedTrackerFields(String sessionId,
                                                     String trackerId,
                                                     Object returnValue)

      Prepare a simulated response to getOrderedTrackerFields
      See Also:
        `TrackerAppSoap.getOrderedTrackerFields(java.lang.String, java.lang.String)`

    - #### getOrderedTrackerFields

          public OrderedTrackerFieldSoapList getOrderedTrackerFields(String sessionId,
                                                                     String trackerId)
                                                              throws RemoteException

      Simulate a call to getOrderedTrackerFields
      Specified by:
        `getOrderedTrackerFields` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerId` - The tracker for which to return field information.
      Returns:
        Array of all fields and separators.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.getOrderedTrackerFields(java.lang.String, java.lang.String)`

    - #### prepareReorderTrackerFields

          public void prepareReorderTrackerFields(String sessionId,
                                                  String trackerId,
                                                  String[] layoutIds)

      Prepare a simulated response to reorderTrackerFields
      See Also:
        `TrackerAppSoap.reorderTrackerFields(java.lang.String, java.lang.String, java.lang.String[])`

    - #### prepareReorderTrackerFields

          public void prepareReorderTrackerFields(String sessionId,
                                                  String trackerId,
                                                  String[] layoutIds,
                                                  Exception exception)

      Prepare a simulated response to reorderTrackerFields
      See Also:
        `TrackerAppSoap.reorderTrackerFields(java.lang.String, java.lang.String, java.lang.String[])`

    - #### reorderTrackerFields

          public void reorderTrackerFields(String sessionId,
                                           String trackerId,
                                           String[] layoutIds)
                                    throws RemoteException

      Simulate a call to reorderTrackerFields
      Specified by:
        `reorderTrackerFields` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerId` - Id of tracker which all the fields and the separators belong to.
        `layoutIds` - An array of layout ids which can be obtained by getOrderedTrackerFields(). Layout id is different from field id and some system fields and separators do not have field id but only layout id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - When the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When any of the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If invalid argument value is passed.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - When the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - When an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.reorderTrackerFields(java.lang.String, java.lang.String, java.lang.String[])`

    - #### prepareGetArtifactList

          public void prepareGetArtifactList(String sessionId,
                                             String containerId,
                                             com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                             Object returnValue)

      Prepare a simulated response to getArtifactList
      See Also:
        `TrackerAppSoap.getArtifactList(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[])`

    - #### getArtifactList

          public ArtifactSoapList getArtifactList(String sessionId,
                                                  String containerId,
                                                  com.collabnet.ce.soap60.types.SoapFilter[] filters)
                                           throws RemoteException

      Simulate a call to getArtifactList
      Specified by:
        `getArtifactList` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `containerId` - ID of a project or a tracker.
        `filters` - Array of filters to apply (null to return unfiltered list).
      Returns:
        List of filtered artifacts.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.InvalidFilterFault` - when the specified filters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.getArtifactList(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[])`

    - #### prepareGetArtifactList2

          public void prepareGetArtifactList2(String sessionId,
                                              String containerId,
                                              com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                              Object returnValue)

      Prepare a simulated response to getArtifactList2
      See Also:
        `TrackerAppSoap.getArtifactList2(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[])`

    - #### getArtifactList2

          public Artifact2SoapList getArtifactList2(String sessionId,
                                                    String containerId,
                                                    com.collabnet.ce.soap60.types.SoapFilter[] filters)
                                             throws RemoteException

      Simulate a call to getArtifactList2
      Specified by:
        `getArtifactList2` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `containerId` - ID of a project or a tracker.
        `filters` - Array of filters to apply (null to return unfiltered list).
      Returns:
        List of filtered artifacts.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.InvalidFilterFault` - when the specified filters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.getArtifactList2(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[])`

    - #### prepareGetArtifactList

          public void prepareGetArtifactList(String containerId,
                                             com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                             String sessionId,
                                             Object returnValue)

      Prepare a simulated response to getArtifactList
      See Also:
        `TrackerAppSoap.getArtifactList(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[])`

    - #### getArtifactList

          public com.vasoftware.sf.server.services.tracker.ArtifactList getArtifactList(String containerId,
                                                                                        com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                                                                        String sessionId)
                                                                                 throws RemoteException

      Simulate a call to getArtifactList
      Throws:
        `RemoteException`
      See Also:
        `TrackerAppSoap.getArtifactList(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[])`

    - #### prepareGetCrossTrackerArtifactList

          public void prepareGetCrossTrackerArtifactList(String sessionId,
                                                         String containerId,
                                                         com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                                         String[] selectedColumns,
                                                         Object returnValue)

      Prepare a simulated response to getCrossTrackerArtifactList
      See Also:
        `TrackerAppSoap.getCrossTrackerArtifactList(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[], java.lang.String[])`

    - #### getCrossTrackerArtifactList

          public ArtifactDetailSoapList getCrossTrackerArtifactList(String sessionId,
                                                                    String containerId,
                                                                    com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                                                    String[] selectedColumns)
                                                             throws RemoteException

      Simulate a call to getCrossTrackerArtifactList
      Specified by:
        `getCrossTrackerArtifactList` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `containerId` - ID of a project or a tracker. (should not be null)
        `filters` - Array of filters to apply (null to return unfiltered list).
        `selectedColumns` - String array of column names to be selected (null to return all columns). See ArtifactSoapDO for column names constant values e.g. ArtifactSoapDO.COLUMN_CATEGORY
      Returns:
        List of filtered artifacts.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.InvalidFilterFault` - when the specified filters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.getCrossTrackerArtifactList(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[], java.lang.String[])`

    - #### prepareGetCrossTrackerArtifactList2

          public void prepareGetCrossTrackerArtifactList2(String sessionId,
                                                          String containerId,
                                                          com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                                          String[] selectedColumns,
                                                          Object returnValue)

      Prepare a simulated response to getCrossTrackerArtifactList2
      See Also:
        `TrackerAppSoap.getCrossTrackerArtifactList2(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[], java.lang.String[])`

    - #### getCrossTrackerArtifactList2

          public ArtifactDetail2SoapList getCrossTrackerArtifactList2(String sessionId,
                                                                      String containerId,
                                                                      com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                                                      String[] selectedColumns)
                                                               throws RemoteException

      Simulate a call to getCrossTrackerArtifactList2
      Specified by:
        `getCrossTrackerArtifactList2` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `containerId` - ID of a project or a tracker. (should not be null)
        `filters` - Array of filters to apply (null to return unfiltered list).
        `selectedColumns` - String array of column names to be selected (null to return all columns). See Artifact2SoapDO for column names constant values e.g. Artifact2SoapDO.COLUMN_CATEGORY.
      Returns:
        List of filtered artifacts.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.InvalidFilterFault` - when the specified filters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.getCrossTrackerArtifactList2(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[], java.lang.String[])`

    - #### prepareGetCrossTrackerArtifactList

          public void prepareGetCrossTrackerArtifactList(String containerId,
                                                         com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                                         String[] selectedColumns,
                                                         String sessionId,
                                                         Object returnValue)

      Prepare a simulated response to getCrossTrackerArtifactList
      See Also:
        `TrackerAppSoap.getCrossTrackerArtifactList(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[], java.lang.String[])`

    - #### getCrossTrackerArtifactList

          public com.vasoftware.sf.server.services.tracker.ArtifactDetailList getCrossTrackerArtifactList(String containerId,
                                                                                                          com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                                                                                          String[] selectedColumns,
                                                                                                          String sessionId)
                                                                                                   throws RemoteException

      Simulate a call to getCrossTrackerArtifactList
      Throws:
        `RemoteException`
      See Also:
        `TrackerAppSoap.getCrossTrackerArtifactList(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[], java.lang.String[])`

    - #### prepareGetArtifactDetailList

          public void prepareGetArtifactDetailList(String sessionId,
                                                   String trackerId,
                                                   String[] selectedColumns,
                                                   com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                                   com.collabnet.ce.soap60.types.SoapSortKey[] sortKeys,
                                                   int startIndex,
                                                   int maxRows,
                                                   boolean exceptionIfExpiredCache,
                                                   boolean forceNewQuery,
                                                   Object returnValue)

      Prepare a simulated response to getArtifactDetailList
      See Also:
        `TrackerAppSoap.getArtifactDetailList(java.lang.String, java.lang.String, java.lang.String[], com.collabnet.ce.soap60.types.SoapFilter[], com.collabnet.ce.soap60.types.SoapSortKey[], int, int, boolean, boolean)`

    - #### getArtifactDetailList

          public ArtifactDetailSoapList getArtifactDetailList(String sessionId,
                                                              String trackerId,
                                                              String[] selectedColumns,
                                                              com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                                              com.collabnet.ce.soap60.types.SoapSortKey[] sortKeys,
                                                              int startIndex,
                                                              int maxRows,
                                                              boolean exceptionIfExpiredCache,
                                                              boolean forceNewQuery)
                                                       throws RemoteException

      Simulate a call to getArtifactDetailList
      Specified by:
        `getArtifactDetailList` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerId` - Tracker id.
        `selectedColumns` - String array of column names to be selected (null to return all columns). See ArtifactSoapDO for column names constant values e.g. ArtifactSoapDO .COLUMN_CATEGORY
        `filters` - Array of filters to apply (null to return unfiltered list). See ArtifactSoapDO for filters names constant values e.g. ArtifactSoapDO .FILTER_PRIORITY. Valid date formats are SoapFilter.DATE_FORMAT and SoapFilter.DATE_ONLY_FORMAT.
        `sortKeys` - Array of `SortKey` to apply (null to return a default order list that is by ID). See ArtifactSoapDO for column names constant values e.g. ArtifactSoapDO .COLUMN_PRIORITY
        `startIndex` - The index from which to return the results.
        `maxRows` - The max quantity of elements to be returned (-1 will return the full list).
        `exceptionIfExpiredCache` - Causes the method to throw an exception if it doesn't have the results in the cache, rather than the default behavior of silently re-executing the query. This can be used if the caller is fetching paged data and wants to be assured that the pages are from one consistent snapshot of the data.
        `forceNewQuery` - force the re-execution of the query, ignoring any cached copy of the search result.
      Returns:
        List of filtered artifacts.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.InvalidFilterFault` - when the specified filters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.getArtifactDetailList(java.lang.String, java.lang.String, java.lang.String[], com.collabnet.ce.soap60.types.SoapFilter[], com.collabnet.ce.soap60.types.SoapSortKey[], int, int, boolean, boolean)`

    - #### prepareGetArtifactDetailList2

          public void prepareGetArtifactDetailList2(String sessionId,
                                                    String trackerId,
                                                    String[] selectedColumns,
                                                    com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                                    com.collabnet.ce.soap60.types.SoapSortKey[] sortKeys,
                                                    int startIndex,
                                                    int maxRows,
                                                    boolean exceptionIfExpiredCache,
                                                    boolean forceNewQuery,
                                                    Object returnValue)

      Prepare a simulated response to getArtifactDetailList2
      See Also:
        `TrackerAppSoap.getArtifactDetailList2(java.lang.String, java.lang.String, java.lang.String[], com.collabnet.ce.soap60.types.SoapFilter[], com.collabnet.ce.soap60.types.SoapSortKey[], int, int, boolean, boolean)`

    - #### getArtifactDetailList2

          public ArtifactDetail2SoapList getArtifactDetailList2(String sessionId,
                                                                String trackerId,
                                                                String[] selectedColumns,
                                                                com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                                                com.collabnet.ce.soap60.types.SoapSortKey[] sortKeys,
                                                                int startIndex,
                                                                int maxRows,
                                                                boolean exceptionIfExpiredCache,
                                                                boolean forceNewQuery)
                                                         throws RemoteException

      Simulate a call to getArtifactDetailList2
      Specified by:
        `getArtifactDetailList2` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerId` - Tracker id.

        See ArtifactSoapDO for filters names constant values e.g. ArtifactSoapDO .FILTER_PRIORITY. Valid date formats are SoapFilter.DATE_FORMAT and SoapFilter.DATE_ONLY_FORMAT.

        `sortKeys` - Array of `SortKey` to apply (null to return a default order list that is by ID). See ArtifactSoapDO for column names constant values e.g. Artifact2SoapDO .COLUMN_AUTO_SUMMING_POINTS
        `startIndex` - The index from which to return the results.
        `maxRows` - The max quantity of elements to be returned (-1 will return the full list).
        `exceptionIfExpiredCache` - Causes the method to throw an exception if it doesn't have the results in the cache, rather than the default behavior of silently re-executing the query. This can be used if the caller is fetching paged data and wants to be assured that the pages are from one consistent snapshot of the data.
        `forceNewQuery` - force the re-execution of the query, ignoring any cached copy of the search result.
      Returns:
        List of filtered artifacts.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.InvalidFilterFault` - when the specified filters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.getArtifactDetailList2(java.lang.String, java.lang.String, java.lang.String[], com.collabnet.ce.soap60.types.SoapFilter[], com.collabnet.ce.soap60.types.SoapSortKey[], int, int, boolean, boolean)`

    - #### prepareGetArtifactDetailList

          public void prepareGetArtifactDetailList(String trackerId,
                                                   String[] selectedColumns,
                                                   com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                                   com.collabnet.ce.soap60.types.SoapSortKey[] sortKeys,
                                                   int startIndex,
                                                   int maxRows,
                                                   boolean exceptionIfExpiredCache,
                                                   boolean forceNewQuery,
                                                   String sessionId,
                                                   Object returnValue)

      Prepare a simulated response to getArtifactDetailList
      See Also:
        `TrackerAppSoap.getArtifactDetailList(java.lang.String, java.lang.String, java.lang.String[], com.collabnet.ce.soap60.types.SoapFilter[], com.collabnet.ce.soap60.types.SoapSortKey[], int, int, boolean, boolean)`

    - #### getArtifactDetailList

          public com.vasoftware.sf.server.services.tracker.ArtifactDetailArrangedList getArtifactDetailList(String trackerId,
                                                                                                            String[] selectedColumns,
                                                                                                            com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                                                                                            com.collabnet.ce.soap60.types.SoapSortKey[] sortKeys,
                                                                                                            int startIndex,
                                                                                                            int maxRows,
                                                                                                            boolean exceptionIfExpiredCache,
                                                                                                            boolean forceNewQuery,
                                                                                                            String sessionId)
                                                                                                     throws RemoteException

      Simulate a call to getArtifactDetailList
      Throws:
        `RemoteException`
      See Also:
        `TrackerAppSoap.getArtifactDetailList(java.lang.String, java.lang.String, java.lang.String[], com.collabnet.ce.soap60.types.SoapFilter[], com.collabnet.ce.soap60.types.SoapSortKey[], int, int, boolean, boolean)`

    - #### prepareValidateSelectedColumns

          public void prepareValidateSelectedColumns(Collection selectedColumns,
                                                     com.collabnet.ce.soap60.types.SoapSortKey[] sortKeys)

      Prepare a simulated response to validateSelectedColumns
      See Also:
        `TrackerAppSoap.validateSelectedColumns(java.util.Collection, com.collabnet.ce.soap60.types.SoapSortKey[])`

    - #### prepareValidateSelectedColumns

          public void prepareValidateSelectedColumns(Collection selectedColumns,
                                                     com.collabnet.ce.soap60.types.SoapSortKey[] sortKeys,
                                                     Exception exception)

      Prepare a simulated response to validateSelectedColumns
      See Also:
        `TrackerAppSoap.validateSelectedColumns(java.util.Collection, com.collabnet.ce.soap60.types.SoapSortKey[])`

    - #### validateSelectedColumns

          public void validateSelectedColumns(Collection selectedColumns,
                                              com.collabnet.ce.soap60.types.SoapSortKey[] sortKeys)
                                       throws RemoteException

      Simulate a call to validateSelectedColumns
      Throws:
        `RemoteException`
      See Also:
        `TrackerAppSoap.validateSelectedColumns(java.util.Collection, com.collabnet.ce.soap60.types.SoapSortKey[])`

    - #### prepareGetArtifactDetailsQueryResults

          public void prepareGetArtifactDetailsQueryResults(Set selectedColumns,
                                                            com.collabnet.ce.soap60.types.SoapSortKey[] sortKeys,
                                                            int maxRows,
                                                            boolean exceptionIfExpiredCache,
                                                            boolean forceNewQuery,
                                                            String trackerId,
                                                            String sessionId,
                                                            com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                                            String loggedInUser,
                                                            Object returnValue)

      Prepare a simulated response to getArtifactDetailsQueryResults
      See Also:
        `TrackerAppSoap.getArtifactDetailsQueryResults(java.util.Set, com.collabnet.ce.soap60.types.SoapSortKey[], int, boolean, boolean, java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[], java.lang.String)`

    - #### getArtifactDetailsQueryResults

          public com.collabnet.ce.soap60.webservices.tracker.SortableArtifactDetailArrangedList getArtifactDetailsQueryResults(Set selectedColumns,
                                                                                                                               com.collabnet.ce.soap60.types.SoapSortKey[] sortKeys,
                                                                                                                               int maxRows,
                                                                                                                               boolean exceptionIfExpiredCache,
                                                                                                                               boolean forceNewQuery,
                                                                                                                               String trackerId,
                                                                                                                               String sessionId,
                                                                                                                               com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                                                                                                               String loggedInUser)
                                                                                                                        throws RemoteException

      Simulate a call to getArtifactDetailsQueryResults
      Throws:
        `RemoteException`
      See Also:
        `TrackerAppSoap.getArtifactDetailsQueryResults(java.util.Set, com.collabnet.ce.soap60.types.SoapSortKey[], int, boolean, boolean, java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[], java.lang.String)`

    - #### prepareGetArtifactDetailArrangedList

          public void prepareGetArtifactDetailArrangedList(int startIndex,
                                                           int maxRows,
                                                           com.vasoftware.sf.server.services.tracker.ArtifactDetailArrangedList artifactDetailArrangedList,
                                                           Object returnValue)

      Prepare a simulated response to getArtifactDetailArrangedList
      See Also:
        `TrackerAppSoap.getArtifactDetailArrangedList(int, int, com.vasoftware.sf.server.services.tracker.ArtifactDetailArrangedList)`

    - #### getArtifactDetailArrangedList

          public com.vasoftware.sf.server.services.tracker.ArtifactDetailArrangedList getArtifactDetailArrangedList(int startIndex,
                                                                                                                    int maxRows,
                                                                                                                    com.vasoftware.sf.server.services.tracker.ArtifactDetailArrangedList artifactDetailArrangedList)
                                                                                                             throws RemoteException

      Simulate a call to getArtifactDetailArrangedList
      Throws:
        `RemoteException`
      See Also:
        `TrackerAppSoap.getArtifactDetailArrangedList(int, int, com.vasoftware.sf.server.services.tracker.ArtifactDetailArrangedList)`

    - #### prepareFindArtifacts

          public void prepareFindArtifacts(String sessionId,
                                           String queryString,
                                           String projectId,
                                           boolean searchAttachments,
                                           Object returnValue)

      Prepare a simulated response to findArtifacts
      See Also:
        `TrackerAppSoap.findArtifacts(java.lang.String, java.lang.String, java.lang.String, boolean)`

    - #### findArtifacts

          public ArtifactSoapList findArtifacts(String sessionId,
                                                String queryString,
                                                String projectId,
                                                boolean searchAttachments)
                                         throws RemoteException

      Simulate a call to findArtifacts
      Specified by:
        `findArtifacts` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `queryString` - Query string.
        `projectId` - The project in which to find artifacts. (if null, search all projects)
        `searchAttachments` - Whether to search attachments.
      Returns:
        List of artifacts matching search criteria.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project id is invalid.
        `com.collabnet.ce.soap60.fault.SearchQuerySyntaxFault` - when the specified search query string is syntactically invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the specified query string is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.findArtifacts(java.lang.String, java.lang.String, java.lang.String, boolean)`

    - #### prepareFindArtifacts2

          public void prepareFindArtifacts2(String sessionId,
                                            String queryString,
                                            String projectId,
                                            boolean searchAttachments,
                                            Object returnValue)

      Prepare a simulated response to findArtifacts2
      See Also:
        `TrackerAppSoap.findArtifacts2(java.lang.String, java.lang.String, java.lang.String, boolean)`

    - #### findArtifacts2

          public Artifact2SoapList findArtifacts2(String sessionId,
                                                  String queryString,
                                                  String projectId,
                                                  boolean searchAttachments)
                                           throws RemoteException

      Simulate a call to findArtifacts2
      Specified by:
        `findArtifacts2` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `queryString` - Query string.
        `projectId` - The project in which to find artifacts. (if null, search all projects)
        `searchAttachments` - Whether to search attachments.
      Returns:
        List of artifacts matching search criteria.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project id is invalid.
        `com.collabnet.ce.soap60.fault.SearchQuerySyntaxFault` - when the specified search query string is syntactically invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the specified query string is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.findArtifacts2(java.lang.String, java.lang.String, java.lang.String, boolean)`

    - #### prepareFindArtifacts

          public void prepareFindArtifacts(String queryString,
                                           String projectId,
                                           boolean searchAttachments,
                                           String sessionId,
                                           Object returnValue)

      Prepare a simulated response to findArtifacts
      See Also:
        `TrackerAppSoap.findArtifacts(java.lang.String, java.lang.String, java.lang.String, boolean)`

    - #### findArtifacts

          public com.vasoftware.sf.server.services.tracker.ArtifactList findArtifacts(String queryString,
                                                                                      String projectId,
                                                                                      boolean searchAttachments,
                                                                                      String sessionId)
                                                                               throws RemoteException

      Simulate a call to findArtifacts
      Throws:
        `RemoteException`
      See Also:
        `TrackerAppSoap.findArtifacts(java.lang.String, java.lang.String, java.lang.String, boolean)`

    - #### prepareGetArtifactData

          public void prepareGetArtifactData(String sessionId,
                                             String artifactId,
                                             Object returnValue)

      Prepare a simulated response to getArtifactData
      See Also:
        `TrackerAppSoap.getArtifactData(java.lang.String, java.lang.String)`

    - #### getArtifactData

          public ArtifactSoapDO getArtifactData(String sessionId,
                                                String artifactId)
                                         throws RemoteException

      Simulate a call to getArtifactData
      Specified by:
        `getArtifactData` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `artifactId` - Artifact id.
      Returns:
        the data associated with the artifact at the given path
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.getArtifactData(java.lang.String, java.lang.String)`

    - #### prepareGetArtifactData2

          public void prepareGetArtifactData2(String sessionId,
                                              String artifactId,
                                              Object returnValue)

      Prepare a simulated response to getArtifactData2
      See Also:
        `TrackerAppSoap.getArtifactData2(java.lang.String, java.lang.String)`

    - #### getArtifactData2

          public Artifact2SoapDO getArtifactData2(String sessionId,
                                                  String artifactId)
                                           throws RemoteException

      Simulate a call to getArtifactData2
      Specified by:
        `getArtifactData2` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `artifactId` - Artifact id.
      Returns:
        the data associated with the artifact at the given path
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.getArtifactData2(java.lang.String, java.lang.String)`

    - #### prepareGetArtifactData3

          public void prepareGetArtifactData3(String sessionId,
                                              String artifactId,
                                              Object returnValue)

      Prepare a simulated response to getArtifactData3
      See Also:
        `TrackerAppSoap.getArtifactData3(java.lang.String, java.lang.String)`

    - #### getArtifactData3

          public Artifact3SoapDO getArtifactData3(String sessionId,
                                                  String artifactId)
                                           throws RemoteException

      Simulate a call to getArtifactData3
      Specified by:
        `getArtifactData3` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `artifactId` - Artifact id.
      Returns:
        the data associated with the artifact at the given path
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.getArtifactData3(java.lang.String, java.lang.String)`

    - #### prepareSetArtifactData

          public void prepareSetArtifactData(String sessionId,
                                             ArtifactSoapDO artifactData,
                                             String comment,
                                             String attachmentFileName,
                                             String attachmentMimeType,
                                             String attachmentFileId)

      Prepare a simulated response to setArtifactData
      See Also:
        `TrackerAppSoap.setArtifactData(java.lang.String, com.collabnet.ce.soap60.webservices.tracker.ArtifactSoapDO, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareSetArtifactData

          public void prepareSetArtifactData(String sessionId,
                                             ArtifactSoapDO artifactData,
                                             String comment,
                                             String attachmentFileName,
                                             String attachmentMimeType,
                                             String attachmentFileId,
                                             Exception exception)

      Prepare a simulated response to setArtifactData
      See Also:
        `TrackerAppSoap.setArtifactData(java.lang.String, com.collabnet.ce.soap60.webservices.tracker.ArtifactSoapDO, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### setArtifactData

          public void setArtifactData(String sessionId,
                                      ArtifactSoapDO artifactData,
                                      String comment,
                                      String attachmentFileName,
                                      String attachmentMimeType,
                                      String attachmentFileId)
                               throws RemoteException

      Simulate a call to setArtifactData
      Specified by:
        `setArtifactData` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `artifactData` - the data associated with the artifact at the given path
        `comment` - Comment associated with the change.
        `attachmentFileName` - Name of the attached file (or null)
        `attachmentMimeType` - Mime type of the attached file (or null)
        `attachmentFileId` - ID of the attached file (previously uploaded via *FileStorage service) or null
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when the object data is stale.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the artifact data is invalid.
        `com.collabnet.ce.soap60.fault.InconsistentFieldValueFault` - when field hierarchy has been changed and the values are no longer valid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.WorkflowViolationFault` - when workflow rule is violated
        `com.collabnet.ce.soap60.fault.DependencyViolationFault` - when dependency rule is violated
        `com.collabnet.ce.soap60.fault.PlanningFolderRuleViolationFault` - when planning folder rule is violated
        `RemoteException`
      See Also:
        `TrackerAppSoap.setArtifactData(java.lang.String, com.collabnet.ce.soap60.webservices.tracker.ArtifactSoapDO, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareSetArtifactData2

          public void prepareSetArtifactData2(String sessionId,
                                              ArtifactSoapDO artifactData,
                                              String comment,
                                              AttachmentSoapDO[] attachments)

      Prepare a simulated response to setArtifactData2
      See Also:
        `TrackerAppSoap.setArtifactData2(java.lang.String, com.collabnet.ce.soap60.webservices.tracker.ArtifactSoapDO, java.lang.String, com.collabnet.ce.soap60.webservices.cemain.AttachmentSoapDO[])`

    - #### prepareSetArtifactData2

          public void prepareSetArtifactData2(String sessionId,
                                              ArtifactSoapDO artifactData,
                                              String comment,
                                              AttachmentSoapDO[] attachments,
                                              Exception exception)

      Prepare a simulated response to setArtifactData2
      See Also:
        `TrackerAppSoap.setArtifactData2(java.lang.String, com.collabnet.ce.soap60.webservices.tracker.ArtifactSoapDO, java.lang.String, com.collabnet.ce.soap60.webservices.cemain.AttachmentSoapDO[])`

    - #### setArtifactData2

          public void setArtifactData2(String sessionId,
                                       ArtifactSoapDO artifactData,
                                       String comment,
                                       AttachmentSoapDO[] attachments)
                                throws RemoteException

      Simulate a call to setArtifactData2
      Specified by:
        `setArtifactData2` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `artifactData` - the data associated with the artifact at the given path
        `comment` - Comment associated with the change.
        `attachments` - attached file List
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when the object data is stale.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the artifact data is invalid.
        `com.collabnet.ce.soap60.fault.InconsistentFieldValueFault` - when field hierarchy has been changed and the values are no longer valid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.WorkflowViolationFault` - when workflow rule is violated
        `com.collabnet.ce.soap60.fault.DependencyViolationFault` - when dependency rule is violated
        `com.collabnet.ce.soap60.fault.PlanningFolderRuleViolationFault` - when planning folder rule is violated
        `RemoteException`
      See Also:
        `TrackerAppSoap.setArtifactData2(java.lang.String, com.collabnet.ce.soap60.webservices.tracker.ArtifactSoapDO, java.lang.String, com.collabnet.ce.soap60.webservices.cemain.AttachmentSoapDO[])`

    - #### prepareSetArtifactData3

          public void prepareSetArtifactData3(String sessionId,
                                              Artifact2SoapDO artifactData,
                                              String comment,
                                              AttachmentSoapDO[] attachments)

      Prepare a simulated response to setArtifactData3
      See Also:
        `TrackerAppSoap.setArtifactData3(java.lang.String, com.collabnet.ce.soap60.webservices.tracker.Artifact2SoapDO, java.lang.String, com.collabnet.ce.soap60.webservices.cemain.AttachmentSoapDO[])`

    - #### prepareSetArtifactData3

          public void prepareSetArtifactData3(String sessionId,
                                              Artifact2SoapDO artifactData,
                                              String comment,
                                              AttachmentSoapDO[] attachments,
                                              Exception exception)

      Prepare a simulated response to setArtifactData3
      See Also:
        `TrackerAppSoap.setArtifactData3(java.lang.String, com.collabnet.ce.soap60.webservices.tracker.Artifact2SoapDO, java.lang.String, com.collabnet.ce.soap60.webservices.cemain.AttachmentSoapDO[])`

    - #### setArtifactData3

          public void setArtifactData3(String sessionId,
                                       Artifact2SoapDO artifactData,
                                       String comment,
                                       AttachmentSoapDO[] attachments)
                                throws RemoteException

      Simulate a call to setArtifactData3
      Specified by:
        `setArtifactData3` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `artifactData` - the data associated with the artifact at the given path
        `comment` - Comment associated with the change.
        `attachments` - attached file List
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when the object data is stale.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the artifact data is invalid.
        `com.collabnet.ce.soap60.fault.InconsistentFieldValueFault` - when field hierarchy has been changed and the values are no longer valid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.WorkflowViolationFault` - when workflow rule is violated
        `com.collabnet.ce.soap60.fault.DependencyViolationFault` - when dependency rule is violated
        `com.collabnet.ce.soap60.fault.PlanningFolderRuleViolationFault` - when planning folder rule is violated
        `RemoteException`
      See Also:
        `TrackerAppSoap.setArtifactData3(java.lang.String, com.collabnet.ce.soap60.webservices.tracker.Artifact2SoapDO, java.lang.String, com.collabnet.ce.soap60.webservices.cemain.AttachmentSoapDO[])`

    - #### prepareSetArtifactData4

          public void prepareSetArtifactData4(String sessionId,
                                              Artifact3SoapDO artifactData,
                                              String comment,
                                              AttachmentSoapDO[] attachments)

      Prepare a simulated response to setArtifactData4
      See Also:
        `TrackerAppSoap.setArtifactData4(java.lang.String, com.collabnet.ce.soap60.webservices.tracker.Artifact3SoapDO, java.lang.String, com.collabnet.ce.soap60.webservices.cemain.AttachmentSoapDO[])`

    - #### prepareSetArtifactData4

          public void prepareSetArtifactData4(String sessionId,
                                              Artifact3SoapDO artifactData,
                                              String comment,
                                              AttachmentSoapDO[] attachments,
                                              Exception exception)

      Prepare a simulated response to setArtifactData4
      See Also:
        `TrackerAppSoap.setArtifactData4(java.lang.String, com.collabnet.ce.soap60.webservices.tracker.Artifact3SoapDO, java.lang.String, com.collabnet.ce.soap60.webservices.cemain.AttachmentSoapDO[])`

    - #### setArtifactData4

          public void setArtifactData4(String sessionId,
                                       Artifact3SoapDO artifactData,
                                       String comment,
                                       AttachmentSoapDO[] attachments)
                                throws RemoteException

      Simulate a call to setArtifactData4
      Specified by:
        `setArtifactData4` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `artifactData` - the data associated with the artifact at the given path
        `comment` - Comment associated with the change.
        `attachments` - attached file List
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when the object data is stale.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the artifact data is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.WorkflowViolationFault` - when workflow rule is violated
        `com.collabnet.ce.soap60.fault.DependencyViolationFault` - when dependency rule is violated
        `com.collabnet.ce.soap60.fault.PlanningFolderRuleViolationFault` - when planning folder rule is violated
        `com.collabnet.ce.soap60.fault.InconsistentFieldValueFault` - when field hierarchy has been changed and the values are no longer valid
        `RemoteException`
      See Also:
        `TrackerAppSoap.setArtifactData4(java.lang.String, com.collabnet.ce.soap60.webservices.tracker.Artifact3SoapDO, java.lang.String, com.collabnet.ce.soap60.webservices.cemain.AttachmentSoapDO[])`

    - #### prepareCreateArtifact

          public void prepareCreateArtifact(String sessionId,
                                            String trackerId,
                                            String title,
                                            String description,
                                            String group,
                                            String category,
                                            String status,
                                            String customer,
                                            int priority,
                                            int estimatedEffort,
                                            int remainingEffort,
                                            boolean autosumming,
                                            int points,
                                            String assignedUsername,
                                            String releaseId,
                                            String planningFolderId,
                                            com.collabnet.ce.soap60.types.SoapFieldValues flexFields,
                                            String attachmentFileName,
                                            String attachmentMimeType,
                                            String attachmentFileId,
                                            Object returnValue)

      Prepare a simulated response to createArtifact
      See Also:
        `TrackerAppSoap.createArtifact(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, int, int, int, boolean, int, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFieldValues, java.lang.String, java.lang.String, java.lang.String)`

    - #### createArtifact

          public ArtifactSoapDO createArtifact(String sessionId,
                                               String trackerId,
                                               String title,
                                               String description,
                                               String group,
                                               String category,
                                               String status,
                                               String customer,
                                               int priority,
                                               int estimatedEffort,
                                               int remainingEffort,
                                               boolean autosumming,
                                               int points,
                                               String assignedUsername,
                                               String releaseId,
                                               String planningFolderId,
                                               com.collabnet.ce.soap60.types.SoapFieldValues flexFields,
                                               String attachmentFileName,
                                               String attachmentMimeType,
                                               String attachmentFileId)
                                        throws RemoteException

      Simulate a call to createArtifact
      Specified by:
        `createArtifact` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerId` - Tracker id.
        `title` - Artifact title.
        `description` - Artifact description.
        `group` - Artifact group.
        `category` - Artifact category.
        `status` - Artifact status.
        `customer` - Customer.
        `priority` - Artifact priority.
        `estimatedEffort` - Estimated effort to close artifact.
        `remainingEffort` - Remaining effort to close artifact.
        `autosumming` - Determines whether autosumming should be enabled for the newly created artifact.
        `points` - The story points for this artifact.
        `assignedUsername` - User this artifact should be assigned to.
        `releaseId` - Release this artifact is assigned with.
        `planningFolderId` - planning folder, this artifact belongs to
        `flexFields` - Flex field values.
        `attachmentFileName` - Name of the attached file (or null)
        `attachmentMimeType` - Mime type of the attached file (or null)
        `attachmentFileId` - ID of the attached file (previously uploaded via *FileStorage service) or null
      Returns:
        Newly created artifact object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the artifact data is invalid.
        `com.collabnet.ce.soap60.fault.InconsistentFieldValueFault` - when field hierarchy has been changed and the values are no longer valid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.createArtifact(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, int, int, int, boolean, int, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFieldValues, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareCreateArtifact2

          public void prepareCreateArtifact2(String sessionId,
                                             String trackerId,
                                             String title,
                                             String description,
                                             String group,
                                             String category,
                                             String status,
                                             String customer,
                                             int priority,
                                             int estimatedEffort,
                                             int remainingEffort,
                                             boolean autosumming,
                                             int points,
                                             String assignedUsername,
                                             String releaseId,
                                             String planningFolderId,
                                             com.collabnet.ce.soap60.types.SoapFieldValues flexFields,
                                             AttachmentSoapDO[] attachments,
                                             Object returnValue)

      Prepare a simulated response to createArtifact2
      See Also:
        `TrackerAppSoap.createArtifact2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, int, int, int, boolean, int, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFieldValues, com.collabnet.ce.soap60.webservices.cemain.AttachmentSoapDO[])`

    - #### createArtifact2

          public ArtifactSoapDO createArtifact2(String sessionId,
                                                String trackerId,
                                                String title,
                                                String description,
                                                String group,
                                                String category,
                                                String status,
                                                String customer,
                                                int priority,
                                                int estimatedEffort,
                                                int remainingEffort,
                                                boolean autosumming,
                                                int points,
                                                String assignedUsername,
                                                String releaseId,
                                                String planningFolderId,
                                                com.collabnet.ce.soap60.types.SoapFieldValues flexFields,
                                                AttachmentSoapDO[] attachments)
                                         throws RemoteException

      Simulate a call to createArtifact2
      Specified by:
        `createArtifact2` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerId` - Tracker id.
        `title` - Artifact title.
        `description` - Artifact description.
        `group` - Artifact group.
        `category` - Artifact category.
        `status` - Artifact status.
        `customer` - Customer.
        `priority` - Artifact priority.
        `estimatedEffort` - Estimated effort to close artifact.
        `remainingEffort` - Remaining effort to close artifact.
        `autosumming` - Determines whether autosumming should be enabled for the newly created artifact.
        `points` - The story points for this artifact.
        `assignedUsername` - User this artifact should be assigned to.
        `releaseId` - Release this artifact is assigned with.
        `planningFolderId` - planning folder, this artifact belongs to
        `flexFields` - Flex field values.
        `attachments` - attached file List (or null)
      Returns:
        Newly created artifact object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the artifact data is invalid.
        `com.collabnet.ce.soap60.fault.InconsistentFieldValueFault` - when field hierarchy has been changed and the values are no longer valid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.createArtifact2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, int, int, int, boolean, int, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFieldValues, com.collabnet.ce.soap60.webservices.cemain.AttachmentSoapDO[])`

    - #### prepareCreateArtifact3

          public void prepareCreateArtifact3(String sessionId,
                                             String trackerId,
                                             String title,
                                             String description,
                                             String group,
                                             String category,
                                             String status,
                                             String customer,
                                             int priority,
                                             int estimatedEffort,
                                             int remainingEffort,
                                             boolean autosumming,
                                             int points,
                                             boolean autoSummingPoints,
                                             String assignedUsername,
                                             String releaseId,
                                             String planningFolderId,
                                             String teamId,
                                             com.collabnet.ce.soap60.types.SoapFieldValues flexFields,
                                             AttachmentSoapDO[] attachments,
                                             Object returnValue)

      Prepare a simulated response to createArtifact3
      See Also:
        `TrackerAppSoap.createArtifact3(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, int, int, int, boolean, int, boolean, java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFieldValues, com.collabnet.ce.soap60.webservices.cemain.AttachmentSoapDO[])`

    - #### createArtifact3

          public Artifact2SoapDO createArtifact3(String sessionId,
                                                 String trackerId,
                                                 String title,
                                                 String description,
                                                 String group,
                                                 String category,
                                                 String status,
                                                 String customer,
                                                 int priority,
                                                 int estimatedEffort,
                                                 int remainingEffort,
                                                 boolean autosumming,
                                                 int points,
                                                 boolean autoSummingPoints,
                                                 String assignedUsername,
                                                 String releaseId,
                                                 String planningFolderId,
                                                 String teamId,
                                                 com.collabnet.ce.soap60.types.SoapFieldValues flexFields,
                                                 AttachmentSoapDO[] attachments)
                                          throws RemoteException

      Simulate a call to createArtifact3
      Specified by:
        `createArtifact3` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerId` - Tracker id.
        `title` - Artifact title.
        `description` - Artifact description.
        `group` - Artifact group.
        `category` - Artifact category.
        `status` - Artifact status.
        `customer` - Customer.
        `priority` - Artifact priority.
        `estimatedEffort` - Estimated effort to close artifact. This will be ignored if autosumming is set to true.
        `remainingEffort` - Remaining effort to close artifact. This will be ignored if autosumming is set to true.
        `autosumming` - Determines whether autosumming should be enabled for the newly created artifact.
        `points` - The story points for this artifact. This will be ignored if autoSummingPoints is set to true.
        `autoSummingPoints` - Determines whether autoSummingPoints should be enabled for the newly created artifact.
        `assignedUsername` - User this artifact should be assigned to.
        `releaseId` - Release this artifact is assigned with.
        `planningFolderId` - planning folder, this artifact belongs to
        `teamId` - team, this artifact belongs to
        `flexFields` - Flex field values.
        `attachments` - attached file List (or null)
      Returns:
        Newly created artifact object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the artifact data is invalid.
        `com.collabnet.ce.soap60.fault.InconsistentFieldValueFault` - when field hierarchy has been changed and the values are no longer valid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.createArtifact3(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, int, int, int, boolean, int, boolean, java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFieldValues, com.collabnet.ce.soap60.webservices.cemain.AttachmentSoapDO[])`

    - #### prepareCreateArtifact4

          public void prepareCreateArtifact4(String sessionId,
                                             String trackerId,
                                             String title,
                                             String description,
                                             String group,
                                             String category,
                                             String status,
                                             String customer,
                                             int priority,
                                             int estimatedEffort,
                                             int remainingEffort,
                                             boolean autosumming,
                                             int points,
                                             boolean autoSummingPoints,
                                             String assignedUsername,
                                             String releaseId,
                                             String planningFolderId,
                                             String teamId,
                                             com.collabnet.ce.soap60.types.SoapFieldValues flexFields,
                                             AttachmentSoapDO[] attachments,
                                             String[] tagNames,
                                             Object returnValue)

      Prepare a simulated response to createArtifact4
      See Also:
        `TrackerAppSoap.createArtifact4(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, int, int, int, boolean, int, boolean, java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFieldValues, com.collabnet.ce.soap60.webservices.cemain.AttachmentSoapDO[], java.lang.String[])`

    - #### createArtifact4

          public Artifact3SoapDO createArtifact4(String sessionId,
                                                 String trackerId,
                                                 String title,
                                                 String description,
                                                 String group,
                                                 String category,
                                                 String status,
                                                 String customer,
                                                 int priority,
                                                 int estimatedEffort,
                                                 int remainingEffort,
                                                 boolean autosumming,
                                                 int points,
                                                 boolean autoSummingPoints,
                                                 String assignedUsername,
                                                 String releaseId,
                                                 String planningFolderId,
                                                 String teamId,
                                                 com.collabnet.ce.soap60.types.SoapFieldValues flexFields,
                                                 AttachmentSoapDO[] attachments,
                                                 String[] tagNames)
                                          throws RemoteException

      Simulate a call to createArtifact4
      Specified by:
        `createArtifact4` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerId` - Tracker id.
        `title` - Artifact title.
        `description` - Artifact description.
        `group` - Artifact group.
        `category` - Artifact category.
        `status` - Artifact status.
        `customer` - Customer.
        `priority` - Artifact priority.
        `estimatedEffort` - Estimated effort to close artifact. This will be ignored if autosumming is set to true.
        `remainingEffort` - Remaining effort to close artifact. This will be ignored if autosumming is set to true.
        `autosumming` - Determines whether autosumming should be enabled for the newly created artifact.
        `points` - The story points for this artifact. This will be ignored if autoSummingPoints is set to true.
        `autoSummingPoints` - Determines whether autoSummingPoints should be enabled for the newly created artifact.
        `assignedUsername` - User this artifact should be assigned to.
        `releaseId` - Release this artifact is assigned with.
        `planningFolderId` - planning folder, this artifact belongs to
        `teamId` - team, this artifact belongs to
        `flexFields` - Flex field values.
        `attachments` - attached file List (or null)
        `tagNames` - tag names
        Note:. Tags will be created, if they do not exist in the project.
        Use TagAppSoap#listTags(java.lang.String, java.lang.String) to get the tags existing in a project.
      Returns:
        Newly created artifact object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the artifact data is invalid.
        `com.collabnet.ce.soap60.fault.InconsistentFieldValueFault` - when field hierarchy has been changed and the values are no longer valid
        `RemoteException`
      See Also:
        `TrackerAppSoap.createArtifact4(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, int, int, int, boolean, int, boolean, java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFieldValues, com.collabnet.ce.soap60.webservices.cemain.AttachmentSoapDO[], java.lang.String[])`

    - #### prepareCreateArtifact

          public void prepareCreateArtifact(String trackerId,
                                            String title,
                                            String description,
                                            String group,
                                            String category,
                                            String status,
                                            String customer,
                                            int priority,
                                            int estimatedEffort,
                                            int remainingEffort,
                                            boolean autosumming,
                                            int points,
                                            boolean autoSummingPoints,
                                            String assignedUsername,
                                            String releaseId,
                                            String planningFolderId,
                                            String teamId,
                                            com.collabnet.ce.soap60.types.SoapFieldValues flexFields,
                                            AttachmentSoapDO[] attachments,
                                            String[] tagNames,
                                            String sessionId,
                                            Object returnValue)

      Prepare a simulated response to createArtifact
      See Also:
        `TrackerAppSoap.createArtifact(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, int, int, int, boolean, int, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFieldValues, java.lang.String, java.lang.String, java.lang.String)`

    - #### createArtifact

          public com.vasoftware.sf.server.services.tracker.ArtifactDO createArtifact(String trackerId,
                                                                                     String title,
                                                                                     String description,
                                                                                     String group,
                                                                                     String category,
                                                                                     String status,
                                                                                     String customer,
                                                                                     int priority,
                                                                                     int estimatedEffort,
                                                                                     int remainingEffort,
                                                                                     boolean autosumming,
                                                                                     int points,
                                                                                     boolean autoSummingPoints,
                                                                                     String assignedUsername,
                                                                                     String releaseId,
                                                                                     String planningFolderId,
                                                                                     String teamId,
                                                                                     com.collabnet.ce.soap60.types.SoapFieldValues flexFields,
                                                                                     AttachmentSoapDO[] attachments,
                                                                                     String[] tagNames,
                                                                                     String sessionId)
                                                                              throws RemoteException

      Simulate a call to createArtifact
      Throws:
        `RemoteException`
      See Also:
        `TrackerAppSoap.createArtifact(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, int, int, int, boolean, int, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFieldValues, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareMoveArtifact

          public void prepareMoveArtifact(String sessionId,
                                          String artifactId,
                                          String targetFolderId,
                                          String newAssignee,
                                          Object returnValue)

      Prepare a simulated response to moveArtifact
      See Also:
        `TrackerAppSoap.moveArtifact(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### moveArtifact

          public ArtifactSoapDO moveArtifact(String sessionId,
                                             String artifactId,
                                             String targetFolderId,
                                             String newAssignee)
                                      throws RemoteException

      Simulate a call to moveArtifact
      Specified by:
        `moveArtifact` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `artifactId` - ID of artifact to move.
        `targetFolderId` - Target folder ID.
        `newAssignee` - The username to assign the newly moved artifact to.
      Returns:
        New artifact data object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when an invalid argument is passed in.
        `com.collabnet.ce.soap60.fault.PlanningFolderRuleViolationFault` - when planning folder rule is violated
        `RemoteException`
      See Also:
        `TrackerAppSoap.moveArtifact(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareMoveArtifact2

          public void prepareMoveArtifact2(String sessionId,
                                           String artifactId,
                                           String targetFolderId,
                                           String newAssignee,
                                           Object returnValue)

      Prepare a simulated response to moveArtifact2
      See Also:
        `TrackerAppSoap.moveArtifact2(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### moveArtifact2

          public Artifact2SoapDO moveArtifact2(String sessionId,
                                               String artifactId,
                                               String targetFolderId,
                                               String newAssignee)
                                        throws RemoteException

      Simulate a call to moveArtifact2
      Specified by:
        `moveArtifact2` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `artifactId` - ID of artifact to move.
        `targetFolderId` - Target folder ID.
        `newAssignee` - The username to assign the newly moved artifact to.
      Returns:
        New artifact data object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when an invalid argument is passed in.
        `com.collabnet.ce.soap60.fault.PlanningFolderRuleViolationFault` - when planning folder rule is violated
        `RemoteException`
      See Also:
        `TrackerAppSoap.moveArtifact2(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareMoveArtifactData

          public void prepareMoveArtifactData(String artifactId,
                                              String targetFolderId,
                                              String newAssignee,
                                              String sessionId,
                                              Object returnValue)

      Prepare a simulated response to moveArtifactData
      See Also:
        `TrackerAppSoap.moveArtifactData(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### moveArtifactData

          public com.vasoftware.sf.server.services.tracker.ArtifactDO moveArtifactData(String artifactId,
                                                                                       String targetFolderId,
                                                                                       String newAssignee,
                                                                                       String sessionId)
                                                                                throws RemoteException

      Simulate a call to moveArtifactData
      Throws:
        `RemoteException`
      See Also:
        `TrackerAppSoap.moveArtifactData(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareDeleteArtifact

          public void prepareDeleteArtifact(String sessionId,
                                            String artifactId)

      Prepare a simulated response to deleteArtifact
      See Also:
        `TrackerAppSoap.deleteArtifact(java.lang.String, java.lang.String)`

    - #### prepareDeleteArtifact

          public void prepareDeleteArtifact(String sessionId,
                                            String artifactId,
                                            Exception exception)

      Prepare a simulated response to deleteArtifact
      See Also:
        `TrackerAppSoap.deleteArtifact(java.lang.String, java.lang.String)`

    - #### deleteArtifact

          public void deleteArtifact(String sessionId,
                                     String artifactId)
                              throws RemoteException

      Simulate a call to deleteArtifact
      Specified by:
        `deleteArtifact` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `artifactId` - Artifact id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.deleteArtifact(java.lang.String, java.lang.String)`

    - #### prepareGetAllowedWorkflowTransitionList

          public void prepareGetAllowedWorkflowTransitionList(String sessionId,
                                                              String trackerId,
                                                              Object returnValue)

      Prepare a simulated response to getAllowedWorkflowTransitionList
      See Also:
        `TrackerAppSoap.getAllowedWorkflowTransitionList(java.lang.String, java.lang.String)`

    - #### getAllowedWorkflowTransitionList

          public WorkflowTransitionSoapList getAllowedWorkflowTransitionList(String sessionId,
                                                                             String trackerId)
                                                                      throws RemoteException

      Simulate a call to getAllowedWorkflowTransitionList
      Specified by:
        `getAllowedWorkflowTransitionList` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerId` - Tracker id.
      Returns:
        Workflow definitions list. For requiredFields property of workflow definition, following special field IDs are used (in addition to standard field definitions in ArtifactSoapDO): "comment", "attachment", "assignedTo", "priority".
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when ...
        `RemoteException`
      See Also:
        `TrackerAppSoap.getAllowedWorkflowTransitionList(java.lang.String, java.lang.String)`

    - #### prepareGetAllowedWorkflowTransitionList2

          public void prepareGetAllowedWorkflowTransitionList2(String sessionId,
                                                               String trackerId,
                                                               Object returnValue)

      Prepare a simulated response to getAllowedWorkflowTransitionList2
      See Also:
        `TrackerAppSoap.getAllowedWorkflowTransitionList2(java.lang.String, java.lang.String)`

    - #### getAllowedWorkflowTransitionList2

          public WorkflowTransition2SoapList getAllowedWorkflowTransitionList2(String sessionId,
                                                                               String trackerId)
                                                                        throws RemoteException

      Simulate a call to getAllowedWorkflowTransitionList2
      Specified by:
        `getAllowedWorkflowTransitionList2` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerId` - Tracker id.
      Returns:
        Workflow definitions list. For requiredFields and hiddenFields properties of workflow definition, following special field IDs are used (in addition to standard field definitions in ArtifactSoapDO): "comment", "attachment", "assignedTo", "priority".
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when ...
        `RemoteException`
      See Also:
        `TrackerAppSoap.getAllowedWorkflowTransitionList2(java.lang.String, java.lang.String)`

    - #### prepareGetTransactionDataList

          public void prepareGetTransactionDataList(String loggedInUser,
                                                    String trackerId,
                                                    Map possibleReqFieldIdToNameMap,
                                                    Map fieldValueMap,
                                                    Object returnValue)

      Prepare a simulated response to getTransactionDataList
      See Also:
        `TrackerAppSoap.getTransactionDataList(java.lang.String, java.lang.String, java.util.Map<java.lang.String, java.lang.String>, java.util.Map<java.lang.String, java.lang.String>)`

    - #### getTransactionDataList

          public List getTransactionDataList(String loggedInUser,
                                             String trackerId,
                                             Map possibleReqFieldIdToNameMap,
                                             Map fieldValueMap)
                                      throws RemoteException

      Simulate a call to getTransactionDataList
      Throws:
        `RemoteException`
      See Also:
        `TrackerAppSoap.getTransactionDataList(java.lang.String, java.lang.String, java.util.Map<java.lang.String, java.lang.String>, java.util.Map<java.lang.String, java.lang.String>)`

    - #### prepareGetRoleKeys

          public void prepareGetRoleKeys(String loggedInUser,
                                         com.vasoftware.sf.server.types.ProjectPath prjPath,
                                         Object returnValue)

      Prepare a simulated response to getRoleKeys
      See Also:
        `TrackerAppSoap.getRoleKeys(java.lang.String, com.vasoftware.sf.server.types.ProjectPath)`

    - #### getRoleKeys

          public com.vasoftware.sf.server.types.RoleKey[] getRoleKeys(String loggedInUser,
                                                                      com.vasoftware.sf.server.types.ProjectPath prjPath)
                                                               throws RemoteException

      Simulate a call to getRoleKeys
      Throws:
        `RemoteException`
      See Also:
        `TrackerAppSoap.getRoleKeys(java.lang.String, com.vasoftware.sf.server.types.ProjectPath)`

    - #### prepareCopyWorkflowTransitions

          public void prepareCopyWorkflowTransitions(String sessionId,
                                                     String srcTrackerId,
                                                     String dstTrackerId)

      Prepare a simulated response to copyWorkflowTransitions
      See Also:
        `TrackerAppSoap.copyWorkflowTransitions(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareCopyWorkflowTransitions

          public void prepareCopyWorkflowTransitions(String sessionId,
                                                     String srcTrackerId,
                                                     String dstTrackerId,
                                                     Exception exception)

      Prepare a simulated response to copyWorkflowTransitions
      See Also:
        `TrackerAppSoap.copyWorkflowTransitions(java.lang.String, java.lang.String, java.lang.String)`

    - #### copyWorkflowTransitions

          public void copyWorkflowTransitions(String sessionId,
                                              String srcTrackerId,
                                              String dstTrackerId)
                                       throws RemoteException

      Simulate a call to copyWorkflowTransitions
      Specified by:
        `copyWorkflowTransitions` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `srcTrackerId` - Tracker id.
        `dstTrackerId` - Tracker id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.WorkflowViolationFault` - when the copy of workflow transition cannot be completed
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.copyWorkflowTransitions(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareCloneTracker

          public void prepareCloneTracker(String sessionId,
                                          String srcTrackerId,
                                          String destTrackerTitle,
                                          String destTrackerDescription,
                                          Object returnValue)

      Prepare a simulated response to cloneTracker
      See Also:
        `TrackerAppSoap.cloneTracker(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### cloneTracker

          public Tracker2SoapDO cloneTracker(String sessionId,
                                             String srcTrackerId,
                                             String destTrackerTitle,
                                             String destTrackerDescription)
                                      throws RemoteException

      Simulate a call to cloneTracker
      Specified by:
        `cloneTracker` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `srcTrackerId` - Tracker id.
        `destTrackerTitle` - destination Tracker tile
        `destTrackerDescription` - destination Tracker description
      Returns:
        returns cloned Tracker
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if an existing tracker already exists.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.cloneTracker(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareCloneTrackerAcrossProject

          public void prepareCloneTrackerAcrossProject(String sessionId,
                                                       String srcTrackerId,
                                                       String destProjectId,
                                                       String destTrackerTitle,
                                                       String destTrackerDescription,
                                                       Object returnValue)

      Prepare a simulated response to cloneTrackerAcrossProject
      See Also:
        `TrackerAppSoap.cloneTrackerAcrossProject(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### cloneTrackerAcrossProject

          public Tracker2SoapDO cloneTrackerAcrossProject(String sessionId,
                                                          String srcTrackerId,
                                                          String destProjectId,
                                                          String destTrackerTitle,
                                                          String destTrackerDescription)
                                                   throws RemoteException

      Simulate a call to cloneTrackerAcrossProject
      Specified by:
        `cloneTrackerAcrossProject` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `srcTrackerId` - Tracker id.
        `destProjectId` - on which project you need to create a tracker
        `destTrackerTitle` - destination tracker title
        `destTrackerDescription` - destination tracker description
      Returns:
        returns cloned tracker
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if an existing tracker already exists.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.cloneTrackerAcrossProject(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareCreateArtifactDependency

          public void prepareCreateArtifactDependency(String sessionId,
                                                      String originId,
                                                      String targetId,
                                                      String desc)

      Prepare a simulated response to createArtifactDependency
      See Also:
        `TrackerAppSoap.createArtifactDependency(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareCreateArtifactDependency

          public void prepareCreateArtifactDependency(String sessionId,
                                                      String originId,
                                                      String targetId,
                                                      String desc,
                                                      Exception exception)

      Prepare a simulated response to createArtifactDependency
      See Also:
        `TrackerAppSoap.createArtifactDependency(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### createArtifactDependency

          public void createArtifactDependency(String sessionId,
                                               String originId,
                                               String targetId,
                                               String desc)
                                        throws RemoteException

      Simulate a call to createArtifactDependency
      Specified by:
        `createArtifactDependency` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `originId` - Origin artifact id.
        `targetId` - Target artifact id.
        `desc` - Description for the dependency.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.WorkflowViolationFault` - when the copy of workflow transition cannot be completed
        `com.collabnet.ce.soap60.fault.DependencyViolationFault` - when the creation of the dependency causes violation
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.createArtifactDependency(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareRemoveArtifactDependency

          public void prepareRemoveArtifactDependency(String sessionId,
                                                      String originId,
                                                      String targetId)

      Prepare a simulated response to removeArtifactDependency
      See Also:
        `TrackerAppSoap.removeArtifactDependency(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareRemoveArtifactDependency

          public void prepareRemoveArtifactDependency(String sessionId,
                                                      String originId,
                                                      String targetId,
                                                      Exception exception)

      Prepare a simulated response to removeArtifactDependency
      See Also:
        `TrackerAppSoap.removeArtifactDependency(java.lang.String, java.lang.String, java.lang.String)`

    - #### removeArtifactDependency

          public void removeArtifactDependency(String sessionId,
                                               String originId,
                                               String targetId)
                                        throws RemoteException

      Simulate a call to removeArtifactDependency
      Specified by:
        `removeArtifactDependency` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `originId` - Origin artifact id.
        `targetId` - Target artifact id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.WorkflowViolationFault` - when the copy of workflow transition cannot be completed
        `com.collabnet.ce.soap60.fault.DependencyViolationFault` - when the creation of the dependency causes violation
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchRelationshipFault` - when ...
        `RemoteException`
      See Also:
        `TrackerAppSoap.removeArtifactDependency(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareSetArtifactRank

          public void prepareSetArtifactRank(String sessionId,
                                             String planningFolderId,
                                             String artfToRankId,
                                             String artfBeforeId,
                                             String artfAfterId)

      Prepare a simulated response to setArtifactRank
      See Also:
        `TrackerAppSoap.setArtifactRank(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareSetArtifactRank

          public void prepareSetArtifactRank(String sessionId,
                                             String planningFolderId,
                                             String artfToRankId,
                                             String artfBeforeId,
                                             String artfAfterId,
                                             Exception exception)

      Prepare a simulated response to setArtifactRank
      See Also:
        `TrackerAppSoap.setArtifactRank(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### setArtifactRank

          public void setArtifactRank(String sessionId,
                                      String planningFolderId,
                                      String artfToRankId,
                                      String artfBeforeId,
                                      String artfAfterId)
                               throws RemoteException

      Simulate a call to setArtifactRank
      Specified by:
        `setArtifactRank` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `planningFolderId` - the id of the planning folder in which we are doing the rank
        `artfToRankId` - the artifact to rank
        `artfBeforeId` - the artifact that should be before it
        `artfAfterId` - the artifact that should be after it
      Throws:
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when one of the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the specified id is invalid.
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.InvalidRankFault` - when the requested rank operation is invalid
        `RemoteException`
      See Also:
        `TrackerAppSoap.setArtifactRank(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareValidateMove

          public void prepareValidateMove(com.vasoftware.sf.server.types.UserSessionKey sessionKey,
                                          com.vasoftware.sf.server.types.ArtifactKey artfToRankId,
                                          com.vasoftware.sf.server.types.ArtifactKey artfBeforeId,
                                          com.vasoftware.sf.server.types.ArtifactKey artfAfterId,
                                          String planningFolderPath,
                                          String loggedInUser,
                                          Object returnValue)

      Prepare a simulated response to validateMove
      See Also:
        `TrackerAppSoap.validateMove(com.vasoftware.sf.server.types.UserSessionKey, com.vasoftware.sf.server.types.ArtifactKey, com.vasoftware.sf.server.types.ArtifactKey, com.vasoftware.sf.server.types.ArtifactKey, java.lang.String, java.lang.String)`

    - #### validateMove

          public boolean validateMove(com.vasoftware.sf.server.types.UserSessionKey sessionKey,
                                      com.vasoftware.sf.server.types.ArtifactKey artfToRankId,
                                      com.vasoftware.sf.server.types.ArtifactKey artfBeforeId,
                                      com.vasoftware.sf.server.types.ArtifactKey artfAfterId,
                                      String planningFolderPath,
                                      String loggedInUser)
                               throws RemoteException

      Simulate a call to validateMove
      Throws:
        `RemoteException`
      See Also:
        `TrackerAppSoap.validateMove(com.vasoftware.sf.server.types.UserSessionKey, com.vasoftware.sf.server.types.ArtifactKey, com.vasoftware.sf.server.types.ArtifactKey, com.vasoftware.sf.server.types.ArtifactKey, java.lang.String, java.lang.String)`

    - #### prepareGetParentKeyIfArtifactSeenAsAChildInPf

          public void prepareGetParentKeyIfArtifactSeenAsAChildInPf(com.vasoftware.sf.server.types.UserSessionKey sessionKey,
                                                                    com.vasoftware.sf.server.services.tracker.ArtifactDO artifactDO,
                                                                    String planningFolderPath,
                                                                    String loggedInUser,
                                                                    Object returnValue)

      Prepare a simulated response to getParentKeyIfArtifactSeenAsAChildInPf
      See Also:
        `TrackerAppSoap.getParentKeyIfArtifactSeenAsAChildInPf(com.vasoftware.sf.server.types.UserSessionKey, com.vasoftware.sf.server.services.tracker.ArtifactDO, java.lang.String, java.lang.String)`

    - #### getParentKeyIfArtifactSeenAsAChildInPf

          public com.vasoftware.sf.server.types.ArtifactKey getParentKeyIfArtifactSeenAsAChildInPf(com.vasoftware.sf.server.types.UserSessionKey sessionKey,
                                                                                                   com.vasoftware.sf.server.services.tracker.ArtifactDO artifactDO,
                                                                                                   String planningFolderPath,
                                                                                                   String loggedInUser)
                                                                                            throws RemoteException

      Simulate a call to getParentKeyIfArtifactSeenAsAChildInPf
      Throws:
        `RemoteException`
      See Also:
        `TrackerAppSoap.getParentKeyIfArtifactSeenAsAChildInPf(com.vasoftware.sf.server.types.UserSessionKey, com.vasoftware.sf.server.services.tracker.ArtifactDO, java.lang.String, java.lang.String)`

    - #### prepareCheckPermissionForRemoveDependency

          public void prepareCheckPermissionForRemoveDependency(com.vasoftware.sf.server.types.UserSessionKey sessionKey,
                                                                String username,
                                                                com.vasoftware.sf.server.types.ArtifactKey originKey,
                                                                com.vasoftware.sf.server.types.ArtifactKey targetKey,
                                                                Object returnValue)

      Prepare a simulated response to checkPermissionForRemoveDependency
      See Also:
        `TrackerAppSoap.checkPermissionForRemoveDependency(com.vasoftware.sf.server.types.UserSessionKey, java.lang.String, com.vasoftware.sf.server.types.ArtifactKey, com.vasoftware.sf.server.types.ArtifactKey)`

    - #### checkPermissionForRemoveDependency

          public boolean checkPermissionForRemoveDependency(com.vasoftware.sf.server.types.UserSessionKey sessionKey,
                                                            String username,
                                                            com.vasoftware.sf.server.types.ArtifactKey originKey,
                                                            com.vasoftware.sf.server.types.ArtifactKey targetKey)
                                                     throws RemoteException

      Simulate a call to checkPermissionForRemoveDependency
      Throws:
        `RemoteException`
      See Also:
        `TrackerAppSoap.checkPermissionForRemoveDependency(com.vasoftware.sf.server.types.UserSessionKey, java.lang.String, com.vasoftware.sf.server.types.ArtifactKey, com.vasoftware.sf.server.types.ArtifactKey)`

    - #### prepareGetChildDependencyList

          public void prepareGetChildDependencyList(String sessionId,
                                                    String artifactId,
                                                    Object returnValue)

      Prepare a simulated response to getChildDependencyList
      See Also:
        `TrackerAppSoap.getChildDependencyList(java.lang.String, java.lang.String)`

    - #### getChildDependencyList

          public ArtifactDependencySoapList getChildDependencyList(String sessionId,
                                                                   String artifactId)
                                                            throws RemoteException

      Simulate a call to getChildDependencyList
      Specified by:
        `getChildDependencyList` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `artifactId` - Artifact id.
      Returns:
        dependency list
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.WorkflowViolationFault` - when the copy of workflow transition cannot be completed
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.getChildDependencyList(java.lang.String, java.lang.String)`

    - #### prepareGetParentDependencyList

          public void prepareGetParentDependencyList(String sessionId,
                                                     String artifactId,
                                                     Object returnValue)

      Prepare a simulated response to getParentDependencyList
      See Also:
        `TrackerAppSoap.getParentDependencyList(java.lang.String, java.lang.String)`

    - #### getParentDependencyList

          public ArtifactDependencySoapList getParentDependencyList(String sessionId,
                                                                    String artifactId)
                                                             throws RemoteException

      Simulate a call to getParentDependencyList
      Specified by:
        `getParentDependencyList` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `artifactId` - Artifact id.
      Returns:
        dependency list
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.WorkflowViolationFault` - when the copy of workflow transition cannot be completed
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TrackerAppSoap.getParentDependencyList(java.lang.String, java.lang.String)`

    - #### prepareReorderTrackers

          public void prepareReorderTrackers(String sessionId,
                                             String[] trackerIds)

      Prepare a simulated response to reorderTrackers
      See Also:
        `TrackerAppSoap.reorderTrackers(java.lang.String, java.lang.String[])`

    - #### prepareReorderTrackers

          public void prepareReorderTrackers(String sessionId,
                                             String[] trackerIds,
                                             Exception exception)

      Prepare a simulated response to reorderTrackers
      See Also:
        `TrackerAppSoap.reorderTrackers(java.lang.String, java.lang.String[])`

    - #### reorderTrackers

          public void reorderTrackers(String sessionId,
                                      String[] trackerIds)
                               throws RemoteException

      Simulate a call to reorderTrackers
      Specified by:
        `reorderTrackers` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerIds` - An array of the tracker ids in their new order. All the tracker ids must belong to the same project
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - When the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When any of the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - When the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - When an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If invalid argument value is passed.
        `RemoteException`
      See Also:
        `TrackerAppSoap.reorderTrackers(java.lang.String, java.lang.String[])`

    - #### prepareGetUnitsByProject

          public void prepareGetUnitsByProject(String sessionId,
                                               String projectId,
                                               Object returnValue)

      Prepare a simulated response to getUnitsByProject
      See Also:
        `TrackerAppSoap.getUnitsByProject(java.lang.String, java.lang.String)`

    - #### getUnitsByProject

          public TrackerUnitSoapList getUnitsByProject(String sessionId,
                                                       String projectId)
                                                throws RemoteException

      Simulate a call to getUnitsByProject
      Specified by:
        `getUnitsByProject` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - The id of the project to retrieve the units
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - When the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When any of the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - When the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - When an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If invalid argument value is passed.
        `RemoteException`
      See Also:
        `TrackerAppSoap.getUnitsByProject(java.lang.String, java.lang.String)`

    - #### prepareGetAllowedWorkflowTransitionList3

          public void prepareGetAllowedWorkflowTransitionList3(String sessionId,
                                                               String trackerId,
                                                               Object returnValue)

      Prepare a simulated response to getAllowedWorkflowTransitionList3
      See Also:
        `TrackerAppSoap.getAllowedWorkflowTransitionList3(java.lang.String, java.lang.String)`

    - #### getAllowedWorkflowTransitionList3

          public WorkflowTransition3SoapList getAllowedWorkflowTransitionList3(String sessionId,
                                                                               String trackerId)
                                                                        throws RemoteException

      Simulate a call to getAllowedWorkflowTransitionList3
      Specified by:
        `getAllowedWorkflowTransitionList3` in interface `ITrackerAppSoap`
      Parameters:
        `sessionId` - User session id.
        `trackerId` - Tracker id.
      Returns:
        Workflow definitions list. For requiredFields, hiddenFields and autoPopulateData properties of workflow definition, following special field IDs are used (in addition to standard field definitions in ArtifactSoapDO): "comment", "attachment", "assignedTo", "priority".
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when ...
        `RemoteException`
      See Also:
        `TrackerAppSoap.getAllowedWorkflowTransitionList3(java.lang.String, java.lang.String)`

Copyright © 2019 CollabNet. All rights reserved.